v2.9.9

- bettered and replaced some monster sprites, including the Guard Scorpion, Vlakorados, the Guardian Beast (now Sanctuary Guardian), Basilisk (also from Dark Souls), Arachtron (from Doom), and more. (credit to James White)
- corrected a small oversight with Cloud's HP during his scenario.
- corrected some misinformation with the Majin Vest armor item description.
- corrected two pirate npcs from having one frame of another sprite when entering the wor airship room.
- fixed an issue with two monsters being undead but immune to death, which caused an issue.
- added a teleport point in the first room of the Phoenix Cave to get to the bottom easily once you have re-recruited Cloud.
- added a save point to the castle balcony after the Shenron battle.
- slightly nerfed a couple of Serin's Aethers.
- increased price of Holy Water item by 100, is now 900.
- prevented music from switching back during a certain event if the menu was opened.
- can no longer hire Oboro right before the Opera House event, to prevent him leaving during it.
- changed the required level to gain access to the back room in the Developers' House from 60 to 50.
- implemented 'Fair Spinning' patch, which prevents pausing during Slots. Sorry not sorry! (credit to bropedio)
- applied seibaby's 'How to make Sketch not suck' patch, which makes Sketch (Inverse) use the character's Magic stat instead of the monster's. (credit to seibaby)
- updated the unrigged slots optional patch to include a more forgiving slot reel layout. (credit to Synchysi)
- the following weapons now have a completely new graphic, made by tomilho: Vendetta, Hawk Cleaver, Zodiac Sword, Justifier. (credit to tomilho)
- gave the glove weapon-type a graphic (the metal knuckle from vanilla) instead of the empty attack.
- gave two rod-type weapons a new graphic.
- edited some weapon animation attack palettes to look better.
- Havoc Sword animation now uses the original larger Shock sword graphic again.
- fixed a bad pixel in one of the knife weapons that was sharing a piece with another weapon. (thanks to tomilho for their advancement in how weapon graphics work)
- fixed an issue with the bullets from the Blunderbuss gun weapon being transparent. (thanks to tomilho)
- fixed the CT Wormhole track to include a missing instrument. (thanks to h.carrell)
- fixed an incorrect octave in RS2 Seven Heroes Battle.
- fixed an incorrect octave and a missed snare drum hit in RSMS Prelude to Battle.
- fixed harp note length in Saga Frontier Opening of a Journey.
- fixed a triplet note issue on Treasure of the Rudras Edge of Darkness.
- fixed the channel panning on FF4 Welcome to Our Town.
- changed the main instrument in Doom Dark Halls.
- swapped a percussion instrument for Lufia 2 Battle Theme.
- made a better version of FF7 Flowers Blooming in the Church song.
- corrected a song name mistake in the music player for soundtrack b.

- extensively worked on and corrected a mistake with the final boss's AI script that was preventing it from going into another (stronger) attack pattern. This will undoubtedly make the final boss more difficult than it previously was for all difficulties.
- a few other boss buffs and nerfs, most notably the Broodfiend inside the tomb had its HP lowered a bunch, and MiaB Pazuzu HP reduced and timer increased before its big attack extended, and the Marshal got its stats nerfed more on Insane difficulty. Also Alduin (Holy Dragon) and Melzalgald had script work done to make them less tedious.

- rearranged these esper restrictions for calculated reasons:
  Oboro can no longer use Shiva
  Oboro can now use Carbuncle
  Cloud can no longer use Leviathan
  Cloud can now use Shiva
  Tifa can no longer use Carbuncle
  Tifa can now use Leviathan

v2.9.8

- removed an insignificant patch that was causing an oddity within the configuration menu.
- resolved a menu-font issue when fighting Oboro at the Coloseum.
- corrected a grammar mistake during Avalon's dream sequence.
- renamed the Combo skill Crippling Strike to Cobra Strike.
- fixed the controller position font in the config menu to be aligned correctly. (credit to Gens and Everything)
- fixed an incorrect octave in song: SoM A Curious Happening.
- fixed a couple missing pixels on the Royal Serin optional patch.
- corrected a solo monster formation from doing pincer attacks.
- added 'skill select menu' optional patch that changes both Limit Break (Sword Tech) and Combo (Blitz) to instead be selected from a menu, like Dance. (thanks to Feanor, original patch by LightPhoenix)
- replaced two songs on 'soundtrack a', one being the WoR airship theme, the other a better version of the load screen menu song.
- added two more changed songs for 'soundtrack b'.
- added two optional song patches: FF7 Judgement Day, Super-R Type Wet as as Fish.
- upgraded Think0028's simple nATB patch to work for Active mode. (credit C-Dude and RoSoDude)

note: everything that was previously labeled as 'header' or 'no header' is now 'h' or 'nh'.

v2.9.7

- reverted Cloud's custom pose used in Omnislash introduced in v2.9.3 because it conflicts with the extended palette hack, which effected a couple characters, and the Varia Suit. If you have save data already on version 2.9.3-2.9.6, you can press a button combo while in the menu to refresh the sprites: hold down the L and R buttons, and press SELECT. You should hear a chime sound and this will clear the cache. Or you can use the optional patch that removes the suit gfx change.
- the above fix also corrected an oversight with another character having a strange pose when they used Omnislash.
- fixed an ancient bug where Golbez would seemingly unlearn his Fireball and/or Spark spells.
- fixed a bug with a formation in Kefka's Tower that would cause the game to freeze if enough time passed.
- fixed a bug with a random letter being placed before the 'Can't equip!' text in the esper menu, when trying to equip a non-equippable esper.
- fixed a mistake of a bridge piece missing once the map refreshed in the cave to the Sealed Gate.
- fixed a vanilla bug with Morph and the Gem Box, where the character would take an extra step forward. (credit to CDude)
- updated Status Icon Overflow patch by SilentEnigma to v1.2 which fixes a visual bug in the menu.
- applied 'Morph Mayhem' patch by Leet Sketcher, which fixes some potential exploits with Quick and the Morph gauge that can cause the infamous permanent-morph bug. (thanks to Madsiur for getting it to work for RotDS)
- got the 'Mastered Esper' star icons yellow-colored instead of white, with a better star icon. (credit to Ryo_Hazuki and gens)
- changed a couple item icons.
- changed the 'weapon addition magic' for almost all of the weapons that can proc spells, from 1/4th to 1/8th chance of proccing, except for rods (besides the Serpent Rod) which are still 1/4th.
- renamed the monster spell 'Freeze' to 'Frozen Tomb', so it no longer shares a name with the black magic spell.
- increased learning rate of Sylph's Raise from 2% to 3%, and Purify from 4% to 5%.
- increased learning rate of Odin's Holy and Bahamut's Flare from 1% to 2%
- nerfed some of Reaper's 'multiply physical damage by x amount' Souls.
- replaced Doll Astral's Chrono Helm with Vitality Cap.
- changed a couple bets-rewards in the Coliseum.
- swapped a couple treasures.
- gave the monster-in-a-box chests in the WoR art house basement the possibility of being two different formations/battles, instead of one.
- bettered the map fade-in transition when you jump into the Heartless cave, so it doesn't look all janky.
- removed the party receiving a Holy Lance after beating Alduin, and instead made it the drop.
- buffed soul eater boss script by replacing two spells.
- buffed some other late-game bosses.
- slightly nerfed the damage of some late-game weapons.
- moved Doomkaiser down in his formation mould.
- added some code that allows the ability to summon an esper when X Magic is active. (credit to Feanor)
- added optional patch: 'hold button to advance dialog' patch, which makes it so that holding the 'confirm' button, normally the 'A' button, will advance dialog text, instead of needing to press it. (credit to Feanor)

v2.9.6

- fixed a broken strings track in Z3 Death Mountain song.
- corrected octaves on two tracks in Cry-A-Live. (thanks to h.carrell for noticing this)
- corrected a small graphical issue with the bird in Zozo.
- corrected one line of dialog.
- adjusted the reverb in many songs.

v2.9.5

- fixed a possible issue where a seemingly invisible character would show up in the shop menus. 
- fixed a possible vanilla issue during the IAF battle where the menu could open after dying instead of it going straight to the game over screen.
- removed a mysterious door opening sound (vanilla thing) after you choose your party on the wob airship.
- made Grimer monster absorb poison.
- corrected an unsynced track in FF7 You Can Hear the Cry of the Planet.
- corrected an unsynced track in Electric Dreams Madeline's Theme.
- fixed a bunch of panning issues with Secret of Mana songs on soundtrack a.
- improved song: Aaron Walz The Time Has Come.
- replaced song: FF9 Black Waltz with a more accurate version.
- added a 'remove splash screen' optional patch.
- added a bunch more optional song patches.

v2.9.4

- fixed a possible bug in Cloud's scenario where if the fetch-quest events were done out of the intended order, at a certain point the game would freeze and cause an infinite event loop. (thanks to BrazDude for finding this)
- corrected an oversight of 'dress Cloud' being able to engage the merchant in battle.
- fixed a possible stack overflow bug with the rock-paper-scissors minigame which would cause the game to lock up. (thanks to C-Dude for the suggested fix)
- corrected a mistake of the Stagemaster in the Opera House switching to a different npc during a certain part of the opera events.
- corrected a wrong npc palette in Alvantes.
- fixed a bug where Force Field did not work.
- fixed a patch 'Stone Zombie' back to working.
- restored Moggie's status and hp after each of the burning house gauntlet battles.
- fixed a hidden treasure chest tile that was open instead of closed inside the Magitek Lab. (vanilla issue)
- reworked the switch area in the cave to the Sealed Gate so that the switch that seemingly did nothing is now used/needed to progress.
- touched-up a couple Cloud poses. (thanks to SSJ Rick)
- updated Bropedio's Elemental Mixing Patch to the latest version.
- made Delta Attack tri-elemental (fire/ice/lightn).
- made it so relics can't remove negative statuses outside of battle, meaning if a character is poisoned, you can't simply equip a Star Pendant to remove the poison - they (relics) will only protect against the status while in battle. However, the status will be removed upon entering a battle. (credit to seibaby and C-Dude)
- +1 spell point given to many monster formations so spells get learned a bit faster.
- extended the 'talk to as many soldiers as you can' before the banquet event timer by one minute.
- slightly buffed (mainly hp) WoB Bosses from Sasquatch to the end of the WoB.
- reworked Ultima Weapon's script to be more challenging.
- reworked Proto Babil +'s script to be more dynamic.
- corrected a mistake with a few of the end-game bosses (including final Kefka) that prevented them from receiving intended buffs.
- slightly nerfed/readjusted main characters' stats.
- nerfed Moggie's equipment (burning house) by swapping Mermaid Rod with Ice Rod, and Starry Hood with Galaxy Scarf.
- replaced 20 stat tab treasures (5 of each type) that could be found in the early game.
- touched up song: RS3 Year of the Holy King.
- added optional song patch: Mega Man X3 Gravity Beetle.

v2.9.3

- corrected a mistake of the wrong palette being assigned to 'Dress Cloud' for the save menu.
- fixed a soldier NPC from walking under a tent tile in the Imperial Camp. (vanilla issue)
- fixed an issue with a sound effect glitching out and repeating at the end of Ronan's scenario.
- fixed an inn keeper npc from changing palettes overnight.
- removed the victory fanfare after beating the Skull Train to prevent a 'pop' of the previous music coming in for a split second afterwards.
- prevented a 'pop' of a previous song coming in if you lost to the Marshal in the Moogle battle. (vanilla issue)
- fixed some missing pixels on the Buster Sword's handle weapon graphic when used for Braver.
- removed Ronan's equipment after the ultros raft battle.
- ensured the joining of the guest character in Aurora's scenario by making the party auto-walk up in town.
- added an option to skip Arc's backstory flashback scene.
- applied C-Dude's 'No Sale' patch so the player can't sell the Talisman Relic. (credit to C-Dude)
- gave cloud a custom pose during Omnislash. (thanks to C-Dude)
- nerfed Poison Nova Aether by 6.
- nerfed Climhazzard Limit Break by 2.
- lowered Dark Force successful hit % by 10.
- increased price of Holy Water by 100.
- slightly adjusted a few characters' base stats.
- gave Cloud +1 level at the start of his scenario instead of +2.
- rebalanced some early-game monsters.
- buffed Kefka a bit for the snow battle.
- touched up the timing and dialog for a couple events.
- added cameos in the wor for the guest characters.
- added 'battle music restore' optional patch, to put back the battle theme to all monster formations/encounters where it was removed from.
- added optional song patch: FF4 The Lunarians.
- check out the (WIP) online strategy guide!: https://www.ff6hacking.com/rotds/guide.html

v2.9.2

- fixed a vanilla bug that could possibly yeet the character off the deck of the airship causing a soft-lock. (thanks to Osteoclave from the Beyond Chaos discord for investigating and fixing this bug)
- gave the scythe weapon a proper handle. (thanks to Lightning)
- hammer weapon gfx shown as the 4th frame of the weapon attack animation, and removed an unwanted frame of the previous weapon it replaced. (thanks to C-Dude and Lightning)
- fixed a stray pixel mistake with the kunai weapon graphic.
- fixed an issue with a track dipping out in a song, and another thing with another song. (thanks to Madsiur)
- added 4 more songs to soundtrack b, now totally 200 different songs.
- improved a whole bunch of songs for the umpteenth time.
- corrected some song names in music player.
- added 'soundtrack b' support to a few optional song patches that previously wouldn't work with it.
- added an optional patch: 'Skip Intro', that will skip the custom intro at the very beginning for those who are sick of seeing it.
- check out the new RotDS soundtrack site!: https://www.ff6hacking.com/rotds/ost.html (thanks to Madsiur for creating it)

v2.9.1

- fixed a blunder from the previous version of a bunch of NPCs not being hidden for the extended intro.
- fixed a mistake of an NPC showing up after dying as a garbled mess with another NPC's dialog.
- readjusted/unfancified the gameover dialog so it doesn't look terrible with alternate fonts.
- changed a bit of dialog for one of the new scenes added in the previous version.
- changed palette of Atma NPC in Kefka's Tower to match the monster sprite a bit more.
- added 'Nature Skill' optional patch into the 'extras.zip' folder, which changes the 'Inverse' skill to 'Nature'.
- added optional song patches: FF6 Battle Theme, FF6 Decisive Battle, FF6 Fanfare (for those who wish to bring back some vanilla FF6 flavor)

v2.9

- fixed a broken subroutine when sleeping at the Ornyx INN, where if the thief NPC steals from the party at night and you don't have at least 1,000 gil the game would softlock.
- fixed a visual bug with the mastered esper star icon.
- fixed a spell learning % overflow issue with monster formations/battles that gave more than 10 Magic Points. (credit to Madsiur)
- fixed/reworked how HatZen's Resilient Morph code works, so that Morph becomes greyed-out if Aurora doesn't have enough MP to use it, which prevented a bug dealing with Reflect being cast while Aurora was attempting to Morph without enough MP. (thanks to Fathlo for discovering this bug and Madsiur for recoding it to fix this)
- fixed an issue with HP or MP absorbing weapons causing Retort/Climhazzard to trigger. (thanks to Madsiur for the fix)
- fixed an issue with the letter in Guru's Mansion becoming another sprite if player leaves and come back without reading the letter.
- fixed a possible issue of Reaper going over certain map layers.
- fixed a possible issue of Tifa's sprite teleporting from one spot to another when talking to 'Snakes' at the INN.
- fixed an issue of the final dungeon's song starting over after each battle.
- fixed ronan's sprite being thrown out of the water by ultros, which I unintentionally broke a few versions ago.
- fixed issue of map song starting over after battles in the Imperial Castle.
- reworked Ultros 1's battle script as it was not functioning as intended.
- swapped AI between two of the Legendary Dragons, and reworked one of them.
- gave the two soldier battles before banquet battle music.
- the second battle with Raditz now has the music from the first battle.
- added battle music to Tyrano Tower battles/formations.
- fixed a mistake of a wrong song coming in for a few seconds after completing the lava demon battles.
- fixed a mistake of a wrong song coming in at the very end of the game.
- fixed a vanilla issue of the top-right and left of the glass tubes in the magitek factory showing the palette of whatever the font palette is set to. (thanks to Everything for information crucial to fixing this)
- corrected a wrong subroutine/jump if the floating continent timer ran out.
- made some formations that didn't give magic points afterwords give them now.
- corrected a track sync issue in EVO Ocean of Origin.
- corrected an octave mistake in FF9 You're Not Alone song. (thanks to Rushlight for noticing this)
- corrected an octave mistake in Romancing Saga 3 Battle Theme.
- corrected an octave mistake in CT Zeal Palace.
- corrected an octave mistake in FF5 Musica Machina.
- corrected a wrong instrument in FF5 Neo Exdeath (thanks to h.carrell for noticing this)
- corrected a song name in the music player for 'soundtrack b'.
- corrected a pixel in Serin's 'side b gfx' portrait.
- corrected an identical palette issue with the Dreadfiend skeleton monster sprite.
- corrected a micro-flash of all objects on screen at the end of the Imperial Camp segment.
- corrected an overworld map tile on the WoR Beast Plains.
- corrected a wrong Souls/Rage skill listing.
- corrected merchant npc in auction house from doing a wink pose if winning an Angel Pendant. (thanks to ScarabEnigma for noticing this)
- corrected Golbez from being one step too far to the right during a certain scene. (thanks to ScarabEnigma for noticing this)
- finally got palette 6 characters to show up correctly on save/shop/party select menus. the 'greyscale' in the save menu had to be sacrificed for it however. (thanks to C-Dude and B-Run)
- gave the party the necessary amount of gil to hire Oboro at the Fraust battle, in case they didn't have enough.
- increased the timer a bit for the Staryu to respawn for the Starmie boss fight.
- removed a map tile from the Crimson Blades' Hideout which made it look like a possible hidden path existed.
- corrected a couple map tiles for the Albrook Ship nighttime scene that formed an immersed-breaking line.
- healed the party up to full after the second Lava Demon battle in the burning house, and after each of the consequent battles. also altered those battles' formations.
- changed Mt. Etlich (Mt. Zozo) battle background to be the mountain one and gave it a matching palette for the map.
- changed Ancient Cave battle background to no longer be underwater, but match the palette for the map - can still learn Water Rondo from it.
- added a pool of water in the Ancient Cave, map 2, which has the underwater battle background. (credit to Sir Newton Fig)
- put back in the Narshe Mines battle background for the mines.
- removed the 4x attack property from the Onimusha sword, to prevent an exploit.
- added two dream/flashback events for Aurora.
- made an event-change to the start of Ronan's scenario.
- made the hide and seek event optional.
- added another room to the Imperial Castle.
- added 3 more soldiers to possibly talk to before the banquet.
- made Tifa's Reels skill Surge Cutter wind elemental, instead of water, and renamed to Wave Cutter.
- gave the weird little Ether merchant NPC in Seascape Town Sonic Shot and Cosmic Fang Aethers to sell also, in case the player sold them by accident early on.
- replaced the Dark Crystal boss fight with something much better.
- added a 'fast travel' option to get the machine oil if it wasn't bought during Ronan's scenario.
- added a palette to make the Water Dragon and Leviathan NPCs blue instead of purple.
- added a duplicate of vanilla palette 4 for the fish and (some) bird NPCs to look better again.
- touched up many songs yet again.
- imported the Chrono Trigger cat "meow" sfx for the cat npcs.
- betting any of the Aether items (Serin's skills) in the Coloseum now just results in an Elixir.
- Shadow Knights are now called Mage Knights.
- Juggernaut Mecha is back to being called Magitek Armor.
- Magi Wars is back to being called The War of the Magi.
- New unused FF6pr overworld tiles for Fraust/Narshe. (credit to Gens for re-creating it, and Everything for the patch that implements it)
- shadows returned to a bunch of the monster sprites.
- ADDED AROUND 100 MORE CUSTOM MONSTER SPRITES! (credit to MonsterInABoxINC a.k.a phunbaba a.k.a James White)
- Aurora sprite massively edited. (credit to ScarabEnigma)
- Young Aurora sprite made. (credit to ScarabEnigma)
- Esper Aurora sprite and palette totally redone, as well as the compressed flying and endgame instances. The previous 'darker' palette of her is now an optional patch in the 'extras'>alt. character sprites folder. (credit to ScarabEnigma)
- added 'Miko Eiko' alternate Eiko sprite patch to the 'extras' folder. (credit to ScarabEnigma)
- replaced the Zemus (NPC) sprite with a higher-quality one on the Floating Continent. (credit to ScarabEnigma)
- generic male NPC has a new hair style. (credit to SSJ Rick)
- Rare Item menu is now able to be scrolled. (credit to Madsiur)
- put the MP cost of an Esper in its description.
- removed the shadow from under the hand cursor.
- changed three town names: Holtz to Ravaryn, Anney Village to Ruta Village, and Corwyn Village to Quartz Village.
- applied 'Slim Boxes' patch which makes cleaner looking Coliseum and consumable screens. (credit to Gens [idea] & Ryo_Hazuki [hacking])
- applied 'Status Icon Overflow' patch with fixes an original potential game-crashing bug (credit to SilentEnigma)
- added Sonic & Knuckles - Flying Battery Zone Act 1 to 'soundtrack b'.
- added the following optional song-patch replacements: Lufia 2 - Village Theme, RPG Maker VX Ace - Battle 1, Dragon Ball Z - Solid State Scouter, MMX - Boomer Kuwanger, Top Gear - Track 1, The Earth_Lufia 1, Spark Mandrill Mega Man X, Wily Stage 1_Mega Man 2, Abandoned Memory_Mega Man 10, FF1 Battle Scene, FF4 Fight 1, FF5 Battle 1, doranarasi - Battle 1 & Battle 2.
- added 'Jade Skull From the Start' optional patch into the 'extras.zip' folder, which starts Aurora out with a Jade Skull Relic, for those who want to have control over random encounters or do a 'no encounter' run.
- added a Souls list to the 'infos.zip' folder.

v2.8

- Haste, Slow, Safe and Shell, when inflicted by way of a spell, all run on their own respective timers now - the status will be removed after a set amount of time. this effects both characters and monsters. Relics and equipment that apply these statuses do not have a timer however. The timers' lengths are fairly generous, see the 'timer.txt.' in the 'info folder' for specifics. (credit to Madsiur)
- Applied 'Mastered Espers' hack which puts a star icon next an esper name in the esper list if you've 100% learned all the spells it has to teach. (credit to Madsiur)
- put back the item-type names in the item menus that were removed long ago when the item icon expansion was done. (thanks to Madsiur for coding it to allow for more)
- fixed an issue with beneficial Skeans/Scrolls causing Retort to trigger. (thanks to Madsiur for this)
- fixed an issue (mainly with new game +) for characters that join and leave like Mog or Oboro that could equip an Esper and then keep it once they've left - the esper is returned now.
- fixed an issue in Cloud's scenario where you could skip getting the kid's pocket watch back and still progress.
- fixed an issue of the camera being placed wrong sometimes after the 'come into contact with' battles on the Skull Train. Also for the rats on the Opera House rafters.
- fixed a bug with Oboro showing up in the Aerith's flashback battles under a certain circumstance.  
- fixed an issue with Mog's stats in the WoR if you didn't recruit him in the WoB - he would join with his base/starting stats no matter what level he was recruited at, which would most likely be a lot lower than every other character at that point. now he'll have gained the random stats upon level averaging like the other characters in the WoR no matter if you recruited him in the WoB or not, only side effect is he will come with no equipment.
- fixed an issue with Golbez joining in the WoR having his base stats no matter what level he is recruited at, same as the Mog issue basically, but resolved with assembly coding because Golbez needs to reget his equipment (thanks to Madsiur for coding this)
- the Esper (summon spell) 'Terra' is now wind elemental instead of tri-elemental, this way there is an early wind elemental esper to help out with the lack of wind spells, and since there is already a tri-elemental esper that you get later on. (thanks to edgeworth for the idea)
- the Esper Hades (summon spell), is now purely poison elemental instead of Poison/Wind. (thanks again to edgeworth for the idea)
- renamed the Dragon Rod to Serpent Rod. it now does poison elemental damage, procs Plague (Bio) instead of summoning Midgar Zolom, but still summons Midgar Zolom when broken/used as an item. lowered price from 18000 to 13000.
- removed Meteor spell proc from Cloud's Apocalypse sword.
- changed the door that shows up in Fraust Caves once the switch is pressed to be a closed door instead of an already-opened door, and added a small new section to go through.
- changed the tentacles in the engine room to zombie arms. (credit to SSJ Rick)
- added a dwarf sprite/npc. (credit to SSJ Rick)
- fixed a couple dialog caption issues. (thanks to Madsiur for spotting this)
- nerfed the Terrapus monster's magic power.
- corrected octave mistakes for the following songs: FF5 Boss Theme, FF5 The Decisive Battle, FF5 Neo Exdeath, and FF5 Clash on the Big Bridge (thanks to Divine Wiz for spotting these)
- corrected a song name in the music player.
- added an optional song-patch replacement for the battle at Fraust: RPG Maker VX Ace - Battle 4
- added an optional song-patch replacement for the song that plays at THE END screen: Grandia - The Sandy Beach of Ganbo

v2.7.2

- fixed a possible game-freeze with Anney Village if you recruited Reaper in the WoB.

v2.7.1

- fixed a game-freezing bug on the Floating Continent if you recruited Reaper but did not bring him along to said Floating Continent.
- fixed a game-freezing bug if Eiko was not present/re-recruited at the ending for New Game +.
- fixed a bug with Cloud's Climhazzard Limit where it would become uncharged if he did a regular attack.
- fixed the airship object on the FC from being absent if Reaper was recruited and not brought to the FC.
- fixed a sound effect on the FC that should of been happening about 3 seconds earlier.
- corrected a wrong 'attack look' animation for the Saibamen on Regular difficulty.
- set the 'retarget if target is dead' flag on Tifa's Reels skills: Beat Rush and Water Kick.
- added a small scene for General Leo at the ending character credits.
- the Psionic Wave Aether (Debilitator) now resets the previous imposed weakness upon setting a new one. (credit to Madsiur)
- an equipment flag was coded to protect against Frozen status, which was aptly applied to the Flame Cloak armor. (credit to Madsiur)
- fixed the vanilla bug dealing with Retort (Cloud's Climhazzard skill in this) and having Imp cast on the retortey, causing a counterattack to trigger each time they are hit. LeetSketcher made a patch for this also a while back, but it conflicted majorly with another patch that RotDS uses, HatZen's Forever Runic, and this fix is different in nature that Leet's. (credit to Madsiur)
- panned the sound effects Kefka makes while summoning a monster at the Sealed Gate battle to the right, because it's a back attack and before they panned to the left.
- level averaging returned to Aurora and Cloud after the banquet.
- adjusted the Marshal boss a bit for Insane difficulty.
- Runic no longer absorbs the monster spells: Aerods and Atomic Ray.
- touched up song: RS1 Beat Them Up! yet again, as the trumpets' volume needed to come down a bit.
- added an optional patch 'No Dialog' that removes the dialog outside of battles. (credit to Sir Newton Fig)
- added an optional cheat-patch 'Always Steal' that makes Steal 100% successful and always steal the rare item first, then the common after. (credit to Lufia)

v2.7a

- touched up song: RS1 Beat Them Up! (redid the bass track, trumpets were +1 octave too high, corrected some percussion lengths and overall panning & volume levels)

v2.7

- it is now possible to recruit Reaper in the WoB after the Floating Continent rises.
- buffed Reapers' stats a tad and gave him a Vambrace relic.
- updated part of HatZen's 'Guest Adder' code that deals with the coliseum character check.
- made the Big Daddy boss battle in Rogue City 'die like a boss' (crack-boom animation).
- added Oswald (Fraust mayor) to the burning Ornyx map.
- added Oak, Astral, Arvis, and Oswald to the airship back room after the Floating Continent rises.
- gave Kefka separate/different lines of intro battle dialog for the battle events against the Statues right before the WoR starts.
- the snowman sprite is now a better snowman sprite. (thanks/credit to SSJ Rick)
- gave the characters back actions and dialog if you talk to them during the Battle at Fraust, which were removed for dialog space purposes long ago.
- corrected a map tile in Lunaris/Thamasa.
- corrected a misspelling and touched up some dialog during the esper cave event.
- corrected a mistake with opening a certain treasure chest event in Serin's room.
- fixed the snake npc on top of Tyrano Tower from becoming another sprite.
- fixed an inn keeper npc from becoming another sprite overnight.
- fixed a bug with the 'Manual Levels' event command code where "MP gains at level up that surpassed 255 would leave a value in the upper nibble of A that gets inadvertently used in the SwdTech/Blitz learning routines, causing the character to learn certain abilities far earlier than intended." (credit & thanks to Synchysi for the original patch and this fix)
- fixed a bug with the 'Guest Adder' characters where they would swap with the previously recruited character if Shadow (the Heartless) was in the current party, and some other issues.
- fixed an issue with Avalon's Dream where if you bring Guest Adder Astral, if he wasn't in the 4-spot you would have your other two characters without first having to find them. this was accomplished by adding Astral NPCs onto the map like all the other characters have. in order to do this however, the save point sprite/object had to be removed due to exceeding the max npc limit, but you can still save at that spot, which now has a semi-obvious map tile change.

v2.6.7a

- corrected the panning for the harp track in RPG Tsukuru Super Dante - Overworld song.
- made the snare drum louder in Ys - First Step Towards Wars song.

v2.6.7

- fixed a bug with the Starmie/Staryu battle if there is less than four characters in the party, which could happen for the Dream Shrine.
- added Mr. Grimm boss battle to the Dream Shrine.
- made it so you can receive a Dream Stone upon defeating Vegnagun, but only if the party missed the one in Avalon's dream, or visa versa, and/or didn't complete the dream shrine (died and lost that Dream Stone).
- made it possible to leave Kefka's Tower, by pressing 'A' to prompt a dialog box choice at the spot where in the vanilla game the cranes/hooks could take you back, in case the player does not have access to the Warp spell for some reason.
- made a couple instances of battle dialog font red-colored.
- added an NPC to the Crimson Blades' Hideout that explains a game mechanic that another NPC previously explained later in the game.
- added an NPC to Ornyx pub to explain some backstory about the Reptites.
- added a couple of frogs to the ending scene.
- changed a couple shopkeeper sprites.
- fixed a mistake of an absent cymbal instrument in MMX 'Storm Mammoth' song.
- raised the volume of Gudruff's Theme song.
- touched up Rise Above the World song.
- touched up Evergreen Forest song.
- replaced Live A Live - The Birds Fly in the Sky, the Fish Swim in the River with a better version.
- added an optional song-patch for the intro credits/walking-through-snowfield scene.

v2.6.6a

- corrected the bass track in DKC2 Bramble Blast song.

v2.6.6

- replaced a few songs with better versions.
- corrected some incorrect instrument pitch values.
- added 6 more songs for soundtrack b swaps.

v2.6.5c

- fixed broken in-game timer caused by a change in the previous update.

v2.6.5b

- fixed a small detail in the EWJ2 - Lorenzo's Soil song.
- corrected a song name in the Music Player.

v2.6.5a

- fixed a couple instruments in a couple select songs from glitching out if being played on bsnes.

v2.6.5

- fixed an issue where Reaper could not be revived once dead if he used a Souls skill that had undead status. (thanks to Serity)
- corrected a mistake of the Doomkaiser dragon having the wrong battle background for the Dream Shrine.
- corrected a pixel for the Reptite sprite.
- removed the subroutine that made Mt. Etlich extra dark.
- fixed a grammar instance of your to you're.
- updated song: 'Mario Paint - Creative Exercise/Pushups' with a better version.
- thoroughly touched up many songs.
- added another optional song patch: Xenogears - June Mermaid.

v2.6.4

- put in a new Lizardman sprite to accompany the pre-existing Reptites. (credit to SSJ Rick for the sprite)
- Reptite sprite expanded to add more poses. (credit to SSJ Rick for the sprite)
- changed Asmodeus's sprite from a dragon to an actual snake/cobra, to match the monster sprite. (credit to SSJ Rick for the sprite)
- changed the palette of the Storm Dragon npc/object to black, to match its monster sprite.
- removed buying Bahamut Magicite from the npc at the entrance of the Tyrano Tower, it is now received after beating Azala & Asmodeus.
- fixed a bug where the JCE3000GT monster npc/object would become discolored after a scene with Eiko and Fusoya.
- corrected a mistake of having the WoB battle music for a certain WoR encounter.
- a whole bunch more song touch ups.
- swapped out a song, Chrono Cross - Orphanage of Flame, with F-Zero - Fire Field.

v2.6.3

- fixed a self-caused blunder where at the end of the WoB the game would seemingly give the player some of the best items in the game, which was caused by equipping the '3 Scenarios' Moogle with them and not remembering an important detail regarding doing that.
- updated song: 'FF4 Somewhere in the World' with a better version.
- updated song: 'FF4 The Paladin' with a better version.
- maticulously touched up dozens of songs again, correcting more awkward note-length issues caused by the midi to mml converter, and adding subtle details.
- corrected a song name in the Music Player for 'Soundtrack B'.
- added an optional song patch to the 'extras' folder: 'Magic Sword - At Drokmar's Gate', which replaces the title screen start-up song.
- changed monster name: Reptites to Reptite (dropped the 's').
- swapped Cloud and Serin's roles/actions for the 1st time meeting Oboro event in the Pub, as it makes more sense. (thanks to SSJ Rick for the idea)

v2.6.2

- fixed a mistake where the Fireball spell's description was absent.
- added "Recommended for New Game +" dialog for 'Insane' difficulty, when choosing the difficulty at the start of the the game.

v2.6.1

- corrected a mistake for Ramuh's spell list - somehow the Cura x2 change did not actually make it in for v2.6.
- corrected a mistake for Spiky Tiger's spell list also.
- corrected a capitalization mistake in Ronan's Thunder Fist description.
- Cloud's level 8 Limit Break attained at level 68 instead of 70. seemingly insignificant change, I know.
- Meteo spell now does the animation just once, but behaves like FFV and still dishes out the 4x damage in quick succession. (thanks and credit to C-Dude)
- new original sprite for Roxanne. also touched up the Valkyrie and Lamia sprites. (credit to SSJ Rick)
- added a bit more polish to CT Singing Mountain song.
- the 'basic nATB patch' (in the extras folder) now displays "nATB" respectively in the Config menu instead of "Active" & "Wait".

v2.6

- fixed a mistake where if the 'cursed clock' in the back house in Rogue City is triggered, or/also if one should fail at the Quizmaster NPC, the current party members all got Dog Block status.
- fixed an issue with a song being switched to another song when it's not supposed to, on the Cliff of Despair if a certain professor is not saved.
- fixed an issue where Oboro would remain in bed once saved in the WoR if the player leaves the town from an exit accessible only after defeating JCE3000GT, this would also cause Oboro to be at the coliseum but not trigger the event to recruit him afterwards.
- changed the aforementioned 'cursed clock' so that it only effects the lead character instead of the entire party.
- changed the aforementioned Quizmaster so that if the player fails, the party is blinded/poisoned/piged, instead of zombied.
- made it so the WoB coliseum is not accessible until getting the airship, due to the bridge being destroyed by an earthquake. (thanks to ScarabEnigma for the idea - I kept it plain and simple for now, more was suggested than what I wound up doing.)
- Runic and Climhazzard (Retort) are cleared/removed after KO'd status. (thanks and credit to C-Dude)
- Moblin monster AI tweaked so it has a chance to use Energy Net on it's third turn, instead of second.
- Ultros 2 (@ Opera) magic power -1.
- Ramuh (esper) now teaches Cura at x2.
- Terra (esper) Cure at x5, up from x3.
- Tifa learns Cura at level 21 and Stop at level 25 now; before it was Stop at level 22 and Cura at level 25.
- renamed Ronan's Combo attack, Fists of Thunder, to 'Thunder Fist'.
- renamed Ronan's Combo attack, Wolf Wind Attack, to 'Whirlwind Cut'.
- re-edited the 'special thanks' ending credits.
- re-colored Leo's skin colors to use darker tones to appear more like he is supposed to be/match his portrait. (thanks to SSJ Rick for touching it up)
- added preview images to all the optional sprite patches in the extras folder.

v2.5

Fixes:
- fixed a terrible bug that would crash the game when entering the Imperial Castle after the Esper attack and stepping on the Crusher battle trigger. This bug could also cause random level gains if you trigger the Crusher battle pre-Sealed Gate.
- fixed an issue with the custom event command to grant level up for a character where it would not grant the Blitz, Sword Tech, or natural magic if they are to learn it at that level. (thanks to Synchysi for fixing that up)
- fixed an object layering bug in Rogue City (outside) when the lightning happens and your character is moving behind a staircase. this also fixed a bug where the lightning routine would become nonfunctional.
- fixed a bug dealing with one of the kids outside the orphanage being able to pass through objects after talking to the merchant.
- fixed an issue with Avalon's MP not being refilled at the Fraust battle.
- fixed a possible issue of Kefka's speed rolling over (becoming slow af) during the cutscene at the end of the WoB.
- fixed a mistake with the Soultakers in the extended intro having Berserk status.
- fixed a mistake with the Cactoid monster's AI script.
- fixed a quirk with the shock and flame skull bosses' AI script.
- fixed a battle dialog mistake for Ultima Weapon boss battle.
- fixed a broken magicite graphic after beating Vaalsparda.
- fixed a mistake with the Flash Rain spell's animation.
- fixed a bad map tile in WoR Anney Village/Mobliz.
- fixed a case of the Imperial Castle guard that tells you to follow him going through the staircase tiles for a split second due to the 'nibble' not being set to layer 2, which was a vanilla issue.
- fixed a tile for the Sealed Gate bridge tile replacement section where you can fall into the lava, there was one tile that should have had the 'fall in and get burned' event trigger, but did not. this was also a vanilla thing.
- not exactly a fix, but I updated the code for Cloud's Limit skill Climhazzard (Retort) so that it will no longer allow for it to be triggered by using it twice in a row. this was a change in the patch update made a while back by HatZen, but I just found out about it.

Buffs & Nerfs:
- 'half damage from back row' flag changed from 50% less damage to 25%. in other words, skills with that flag set, such as Braver or Fists of Thunder, will do 25% more damage than it was previously while in the back row. (thanks to assassin for providing the code which was used to update the preexisting version by Synchysi)
- added the back row flag to a couple more skills. see the 'back row flagged skills'.txt in the included 'infos.zip' to see exactly which skills are effected by this flag.
- lowered damage of Cloud's Climhazzard Limit from 50 to 18... REASON BEING, before you start hucking rocks at me, is that the updated Retort code comes with a quirk where it makes Retort do a ton of extra damage. so seemingly nerfing it this far down is actually just setting it to about where it was before, albeit a slight nerf in terms of damage due to it now being 'fire and forget', and of course the much faster gauge speed for Limit than Vanilla's Sword Tech. it also has a slightly higher chance to miss, against magic evasion that is. that being said, it's still a strong and viable skill, it was just a bit overpowered for the early game now that it's so abusable.
- nerfed absorb damage from Cloud's Force Steal Limit from 36 to 32.
- raised Tifa's Water Kick damage from 32 to 38.
- raised damage of Serin's Poison Nova Aether from 30 to 36.
- raised damage to Meteor spell from 41 to 46.
- Cloud's starting Might/Vigor stat raised from 35 to 37.
- Avalon's starting Might/Vigor stat raised from 33 to 40 to promote more physical attacks and less Havoc spam (wishful thinking, I know).
- lowered Aurora's starting MP by 6.
- temporary guest character Eldrin joins at a lower level.
- greatly lowered the damage of the Soul Harvest weapon, thus lowering Reaper's damage output with Souls' multiplied damage attacks in mind, which after extensive testing proved to be super imbalanced.
- lowered the damage of the Dream Sphere weapon.
- lowered the first Gilgamesh boss encounter by 2 levels.
- adjusted some monster experience for the 3 scenarios.
- Cloud and Ronan learn their level four skills, Omnislash & Rising Phoenix, at lvl 17 now instead of 18.
- increased the initiation time of Cloud's Limit skill from 10 to 20.
- increased the initiation time of Reaper's Force skill from 40 60.
- increased the initiation time of Summon and Call from 60 to 80.
- increased the initiation time of Otis' Cannon skill from 80 to A0.
- increased the % for additional hits for the Divine Gift (Offering).
- changed up Leo's equipment & stats.

Event:
- added a bit more to the 'big ugly plant' event on Mt. Zephyr.
- touched up the battle event with Ronan vs. Kefka at the Imperial Camp.
- touched up some misc. things for the escape from the Imperial Camp.
- disabled sprinting when you first enter the Crimson Blades' hideout to prevent the NPC from possibly going into the wall.
- changed up the tombstone answer & event in the WoR Tomb.
- made it so when you trigger an event that automatically moves your character into a set position, like when first meeting Edgar/Serin and you talk to him from behind for instance, that it ensures that the character's speed is set to 'normal', and not sprinting speed if you were to initiate the event while sprinting, which looked goofy.

Battle stuff:
- changed Arc's Desperation Attack to 'Echo Strike', it no longer uses the Flare Star formula.
- Eiko now has Chocobo Stampede as her Desperation Attack, which instantly kills most any monster(s). (credit to SSJ Rick for the custom chocobo battle gfx)
- replaced the Glacial Mace with 'Cryogen', which is a new type of weapon. (credit to SSJ Rick for the graphic)
- touched up the other/last remaining mace weapon graphic a bit.
- touched up Hawk Cleaver weapon attack palette.
- Runic sword graphic changed and now has a blue glow. (credit to Tsushiy/T-Edition)
- changed around some monster attack animation gfx to make more sense.
- renamed Ronan's Combo 'Ki Blast' to 'Aura Blast'.
- renamed Ronan's Combo 'Guillotine Flash' to 'Hundred Fists'.
- renamed Black Waltzes summon attack to 'Triple Waltz'.
- renamed King Tonberry summon attack to 'Pandemonium'.
- renamed two monsters.

Tweaks & balancing:
- greatly reduced the max amount of time the Morph gauge lasts, somehow it got set to the MAX VALUE of $FF many versions ago...
- increased the size of magic spell name window in field menu to properly fit max character length (8) for the spell 'Levitate'.
- slightly altered the positioning of a couple menu-related characters/symbols.
- tweaked the animation of Serin's Psionic Wave Aether to remove lag.
- re-balanced the 2nd Mr. Grimm fight.
- tweaked the Wario & Evil Mario AI just a tad to be less tedious.
- tweaked the WoR Vaalsparda stats and AI a bit to hopefully make it a more enjoyable battle.
- GoldenFlan is now the normal encounter while Vineshroom is the 1/16 rare encounter in the Serpent Trench caves.
- removed Float status from Gravelord monster.
- a couple WoR monster AI tweaks to help out solo Tifa a bit more.
- final boss Magic power +2.
- Sunbath spell now removes frozen status... not that this will be helpful, but it makes sense!

Quality of Life:
- sped up the time it takes Aurora to cast her spell in the Terra & Kefka flashback near the beginning of the game.
- made it so Angelo's dreams in the Developers' House (WoB) branch to a different dialog after the 4th dream, until you leave and come back, to prevent unintentionally watching the first one over again.
- the difficulty can now be changed mid-game by talking to Lord Envoy's NPC inside the Developers' House.
- Crusher in Ornyx beams out the party members quicker.
- made Griever block poison status so he won't take a bunch of unnecessary 0 damage tics.
- made it so you can see Oboro's dreams in WoR Lunaris, which before you could not.
- granted Cloud another +1 level at the start of his scenario, so that's now +2 bonus levels he did not used to have - after much testing this seems like a good move, as Cloud being absent for the rafting trip combined with his scenario lacking exp. really hinders his level. he should now be at least on par or slightly ahead of the average level for the Fraust battle, without having to do any extra grinding beforehand.
- expanded esper descriptions to allow for the attack name to be displayed.
- allowed Cloud's Limit skill to work if he has the Thief Knife equipped.

Map:
- relocated Mist Castle to be much farther down by the Imperial Camp, by a river, because it has to be in order for the Kefka poisoning event to make any sense lol. it is now "strategically surrounded by both water and mountains". I figure the peninsula where the castle used to reside can now officially be where the 'Kingdom of Agartha' was, before it was destroyed by the Empire.
- removed the 'heat wave' effect from the map in the Underworld (Cave to the Sealed Gate) with the lava you can fall into. This was a change I made super long ago, but I've come to realize it was not a good change.

Misc.:
- edited all the character names during the ending credits scene. (thanks to Madsiur's research & document on it years ago)
- replaced the Paladin Icon treasure in the Crimson Blades' Hideout for Scrap Metal, now the vendor there sells it instead.
- replaced the White Cape treasure on the Skull Train with something else. Both this relic and the previously mentioned one was too abundant when both sold and found as treasure so early.
- gave the Coliseum an official name: Shark's Teeth Coliseum.
- made the overworld tile for the Coliseum the same as the Opera House, instead of a damn house.
- changed a few of the monster special attack animations back to normal range values to prevent potential bugs.
- changed the sprite of the lady who sells the satin dress to something a bit more eye-catching.
- added the word 'uncontrollable' to the Frenzy spells' description.
- gave Otis back the use of the Cutlass sword, because he's a pirate (arr!).
- put the Dream Sphere weapon in a chest to find instead of purely a steal or coliseum bet.
- a whole bunch of dialog additions & touching-up per usual.
- renamed 'Whirlwind Cut' back to Wind Slash.
- kept the song playing uninterrupted for the Leo vs. Kefka battle event, before it would cut to the Empire song.
- changed Ted Woolsey's end credit title from 'Translator' to 'Submariner'.

Music:
- fixed a mistake in the song: SoM - The Wind Never Ceases.
- touched up a couple songs: Guile's Theme and Vega's Theme.
- touched up the Power Rangers, Stage 1 (ending song).
- adjusted Lufia - Wave of Evil's volume levels and more reverb.

Patches:
- applied 'Imp's Map' patch which shows an Imped/Piged character as the actual imp/pig sprite on the overworld map, and included as an optional patch is the other half of it that displays the Pig status on area maps as well, but since it currently has a palette issue to work out, and because it can potentially take away from the sincerity of events, it is optional for now. (credit to C-Dude and Serity)
- re-applied the 255 hour patch by Leviathan Mist, as it no longer effects Step Mine's MP cost.
- added a Final Fantasy Tactics chocobo sprite patch into the 'extras' folder, which includes Mode 7 compressed gfx. (credit to SSJ Rick, and FFRK for the original sprite which was edited/reworked by SSJ Rick for FF6)

- added 3 more alternate character sprite patches in the 'extras' folder: 'Apple Knight Arc', 'Defender Heartless', and 'Mist Demon Avalon'. (credit to James White for their respective sprites & portraits)

- added another optional song patch to the 'extras' folder: Kirby Super Star - Trees in the Depths of the Earth.

- added an optional patch: Morph Mayhem, which is a patch made by Leet Sketcher, but it more or less conflicts with another patch: Resilient Morph by HatZen. MM's intent is to provide a fix for the notorious 'permanent-morph' exploit, which it does perfectly as a stand-alone patch, but not when Resilient Morph is applied. Madsiur managed to fix one of the glaring bugs that needed addressing, but sadly there are still a couple issues left which are listed in the included readme. hopefully someday it can get 100% working and implemented into the core hack, but for now will be optional for any who wish to help prevent the perma-Morph bug and don't mind a visual side effect with the ATB gauge. (credit to Leet Sketcher for the original patch, and to Madsiur for getting one of the bugs fixed for it to work with Resilient Morph/RotDS)

- added an optional patch: Row Modifier, which changes both the physical damage given (Fight) and received in the back row from 50% less to 25%. this is the same sort of deal as the 'half damage from back row' change to skills this version. I wasn't sure about implementing it to this degree, so I left this as optional.  (credit to assassin for the original code)

v2.4

- fixed the palette of the button/switch sprites during the heartless' ending scene to make them actually look like they should.
- fixed a miscoloring on the 'Grunt' monster sprite.
- fixed a minor bug of being able to control Cloud a bit too soon after the first opera scene, thus allowing him to move into the railing.
- fixed the chocobo stable man sprite from being a different sprite for a fraction of a second upon entering.
- put an exclamation mark after the generic 'Received "item' dialog box, and corrected other instances where the punctuation mark was put before the ending quotation mark.
- touched up some other various dialog.
- touched up the Esper Caves map outside palette, as well as the corresponding battle background.
- elaborated a bit more on Avalon's backstory when talking to Reaper.
- added the sunset coloring for the event that shows the floating continent rising above Sunfall City.
- added a save point to the inside of Mist Castle.
- added a dialog box in the beginning of the game that explains 'sprinting by holding the 'B' button'.
- added another treasure chest to Mt. Zephyr which involves a new path and NPC of sorts.
- added an additional reward for beating the RPS Kid 5 times in a row.
- added a few new interesting NPCs, such as a 'Quizmaster', an Insanity Pepper salesman, a fortune teller, and a bunch more custom shopkeepers. (credit to James White for the sprites)
- the group of NPCs in Skorne's Cave are now officially mercenaries that when prompted will offer to clear out all the monsters (random encounters), for a price.
- made it so the sky turns back to normal in the new esper town after defeating the Dark Crystal, instead of Shenron.
- the backroom in the Developers' House now requires a level of 60 or higher (all current party members) to enter, still only in the WoR. (credit to Madsiur for the level check code)
- touched up the event before fighting Raditz ever so slightly.
- gave the Sunfall City NPCs new dialog after the floating continent rises in the WoB. Also did this for some select NPCs in other towns.
- changed a town name... last time, promise! *crosses fingers*
- swapped two 'soundtrack b' songs out for different ones.
- added a couple more optional song swap patches into the 'extras folder'.
- the usual touching up of various songs.
- stats balancing for a few select bosses.
- used Imp Skimp patch by Leet Sketcher with fixing by SilentEnigma.
- upgraded to v1.1 of Description Disruption Fix (fixes a small bug).
- added 3 more alternate character sprite patches in the 'extras' folder: 'Cowgirl Tifa', 'Engineer Serin', and 'Buccaneer Otis'. (credit to James White for their respective sprites & portraits)

v2.3a

- fixed a broken instrument in a 'soundtrack b' song.
- put the correct music for a boss in the Dream Shrine boss medley.

v2.3

- Otis can now only equip spears, guns and the unique anchors; no more swords. the main reason for this change is because with certain swords + Jump and the Dragon Horn + Moon Pearl relic combo he could do a ridiculous amount of damage per Jump, especially to dragon-types with the Dragonslayer sword. the other reason being that it fits his Dragoon role more obviously, as Dragoons don't wield swords... well they don't normally wield guns and anchors either, but I digress. his class name was changed as well from Swashbuckler to Dragoon.

- corrected a bunch of song tracks that should of had proper triplets, but instead had a slightly different length which would result in somewhat of a "stutter", all because of the tinymm midi>mml utility having an issue where it can't understand triplets and spits out some garbage instead. Besides that a bunch of songs were touched up yet again.

- fixed the Scholar NPC in the developers' house from bugging out if you talk to Namingway.
- fixed a self-caused background-scrolling glitch on the floating continent destruction sequence if the time runs out and the character was sprinting.
- added a save point at the start of the floating continent destruction sequence. It will disappear after about 38 seconds to help prevent the player from soft-locking their game by saving under a certain amount of time to escape.
- changed two of the set encounter triggers for the floating continent destruction sequence.
- lessoned the encounter rate from 'more' to 'normal' for the floating continent destruction sequence.
- fixed a small visual bug with the Doomtrain Magicite starting out as a female NPC for a fraction of a second.
- a couple monster balancing and AI tweaks.
- added a new soldier NPC to Cloud's scenario, and edited a couple other soldier dialogs towards him.

- applied Allergic Dog Fix patch to prevent Oboro (or Eiko) from loosing dog block status if an auto-float relic was equipped, then unequipped (the actual bug happens on the latter). (credit to Novalia Spirit)

v2.2b:

- corrected a typo with a wrong item name given after defeating a certain boss in Rogue City/Zozo.
- swapped in three more songs to 'soundtrack b', and added three song replacement patches in the extra folder.

v2.2a:

- fixed a possible freeze/bug in the 'developers' house' caused by a self-inflicted v2.2 blunder
- relocated a bunch of songs to prevent them from freezing on accurate emulators, retroarch, and real hardware etc. due to some ROM mapping issue.

v2.2

Bugs:
- fixed a crash with the Coliseum vs. screen for a couple monster matchups.
- fixed a seemingly random bug with overworld chocobo-riding Mode 7 flashing like crazy.
- fixed a possible text string issue when shopping.
- fixed a few more pesky item pricing bugs, where the item description being too long caused the price to bug out in the shop menu.
- fixed a possible bad visual party merge during the Floating Continent events.
- fixed a bad patch (Sir Astral Died...) that caused the game to crash in battle.

Features:
- made it so both Arc's Runic & Cloud's Climhazzard Limit stay charged/"stick", so the player can continue to do other attacks afterwards. the skills however will not trigger if it's a monster counterattacking them, as opposed to a regular scripted attack. they of course become cleared after being triggered, meaning you'll need to re-issue the skill again. (credit to HatZen for his original patch documentation from 'Runic Forever')

- Dog Counter status now counters with just one possible attack, instead of the previous 50/50 chance of two different ones. I did this so Arc could easily get his own Desperation Attack using one of the dog counter spell slots. Dog Counter attack is now called 'Fang Rush'.

- Arc's desperation attack is called 'Chocobuckle', it uses the Flare Star formula (level * spell strength determines damage) and causes confusion status. it uses the vanilla Chocobop animation that's been going unused all this time.

Gfx:
- filled in a missing/transparent pixel on the Sephiroth Statue (map) sprite.
- removed (for now at least) the version number from the splash screen so it doesn't need to be updated for each future update.

Music:
- added a bunch more instruments. (credit to emberling for ripping them and a few custom-made ones)
- replaced Wild Arms - Zed's Theme with a better version. (credit to emberling)
- replaced my version of 'A Painful Death at the Hands of a Psycho' from Live A Live song with a better version. (credit to emberling)
- swapped a few more 'soundtrack b' songs with emberling's masterful works.
- touched up some other songs as well and swapped in a new soundtrack b one for Cloud's intro and Mt. Zephyr.

Misc. changes & balancing:
- gave Eiko the use of Carbuncle esper.
- swapped back in the Frenzy Band Relic, now called the 'Wrath Band', for what was the Seraph Charm.
- changed how a couple top-tier Relics are attained.
- the Statues upon death now give 100 Magic Points each.
- sped up the overall animation of Psycho Blade/Forsaken a tad.
- Anima esper summon animation was changed back to vanilla-ish, but edited accordingly for the different sprite size.
- made it so Namingway first asks if you would like to change a party member's name before initiating the process.
- small event edit towards the start of the game. (thanks to SSJ Rick for the idea)
- balanced more monsters' stats and resistances from received feedback. 
- re-balanced some character equipment, mostly late-game, nothing drastic mind you.
- increased the cost of Meteo from 224 to 250.
- buffed Poison Nova Aether damage by 25%
- Psycho Blade now has a 50% chance to inflict Dark or Berserk, but not both at the same time (nerf), and cut the spell power back from 52 to 46.
- nerfed the monster spell 'Toxic Bomb' to 50% HP cut, from 75%.
- nerfed the spell 'Gravity' to 75% HP cut, from 90%.
- added a patch 'suits removed' to the extras folder that removes the suit-changing armor graphics in battle, in case that becomes annoying. Just the graphic change itself, not the actual armors.

Other:
- added a brief disclaimer upon starting a 'New Game'.

v2.1

- fixed a bug with Aurora starting +2 levels higher than she should at the start, if the extended intro was watched.
- fixed a somewhat obscure but potentially dangerous bug with a soldier NPC who guards the entrance to the Cave to the Sealed Gate (before you're supposed to be there) showing up and sticking to other maps and causing possible freezes after simply showing up to see him. (thanks to Cecil for discovering this)
- fixed a possible freeze upon entering a town in WoB after the Lemuria/Thamasa events.
- fixed Biggs and Wedge starting at level 1 instead of 3 for New Game +.
- fixed an AI issue with the WoR Warlock monster that caused him to do nothing at all until there was just one monster left on the field.
- fixed another monster formation that had a monster off screen for a pincer attack.
- fixed an issue with the formation of 3 terrapus monsters not being able to target the one in the back.
- fixed a level rollover bug at certain parts of the game if the character was at max level (99) and a custom +level event command was issued to them. (thanks to Synchysi for fixing it)
- fixed a potential issue where WoR Reaper would start out with 0 HP (dead) if he ended the Soul Eater battle as a Zombie.
- fixed a few monster formations' positioning so that spell graphics don't effect the monster sprite.
- fixed an issue where for certain characters where some regular items such as Holy Water for instance appeared to be equipable (yellow) when swapping their weapon or shield in battle.
- fixed Ronan's Charge/Tackle skill to correctly be 1/4 chance on a regular attack, turns out it was actually a considerably higher probability.
- fixed a branching mistake with the Heartless for Namingway.
- fixed a shared treasure chest bit that could make getting Cloud's Apocalypse sword impossible, and also one other far less important shared bit.
- fixed a typo with a chocobo stable price.
- fixed an issue with the Crimson Blades' hideout where sleeping at the INN could mess up the intended currently played song.
- fixed an issue with level averaging where it didn't take the random stat gain per level-up code into account. (credit to Madsiur)
- fixed the miscolored Reflect graphic issue finally thanks to a patch made by SilentEnigma: MPDigits-Decoupled. (credit to SilentEnigma)
- fixed a bug with the lightning in Rogue City where it would shut off after killing either the Big Daddy or the Master Tonberry, but not both.
- made it so the 'splash screen' image hides the very last row of glitchy-looking pixels on accurate emulators and real hardware, by replacing them with all black pixels that are present in the image, by rearranging the color map.
- worked some more on the overworld minimap gfx, much more so the WoB one.
- applied 'Stuck in a Pose fix' patch. (credit to SilentEnigma)
- applied 'Optional Continue' patch, which gives the player a choice to continue or not after game over. (credit to SilentEnigma)
- applied 'Soft Reset', which implements the familiar soft reset feature found in other FF releases. The player may command a soft reset by pressing Start+Select+L+R on the field and during battle. (credit to SilentEnigma)
- applied 'Docile NPCs' patch which makes NPCs not get in your way as much while walking around. (credit to SilentEnigma)
- returned level averaging to Arc in the WoR because I forgot to do that.
- removed the lightning effect from Rogue City's inside maps/buildings.
- removed the 'Dead in the Air' patch by Leet Sketcher, because the older version of the code that has been implemented all this time has a bug where poisoned characters who jump and die midair, would never come back down... and the latest working version of the patch conflicts too much with rotds code.
- removed the world blowing up scene upon dying in the WoB and swapped that song for another.
- removed a bit of the silly parodying dialog during the banquet scene.
- removed the 2x damage multiplier for the Jump skill if the user has a spear equipped.
- replaced the Frenzy Band Relic with the Moon Pearl Relic, which makes the Jump skill do 50% more damage.
- implemented a hack to the sound engine that should resolve some possible rare song glitches with a few select songs. (thanks to emberling)
- returned the 'can't be dodged' flag onto Jump, will still miss if the target is vanished.
- returned the chance for 2-4 successive Jump hits instead of 2-3.
- tweaked the Sasquatch AI script.
- touched up a couple event/scenes.
- put random battles in the room right before the minecart escape event.
- implemented a function while in battle for Oboro to swap his Throw command for Steal at any time by holding the 'X button' when he is selected, instead of pressing it to switch characters. if you hold X, his Throw command will become Steal, and visa-versa. This also works for the temporary guest characters who have these skills. (credit to Lufia)
- the Thief Gloves no longer swap the Magic and Steal commands in battle in lieu of Lufia's swap command function.
- made the Thief Gloves available to all characters that are able to use the Thief Knife.
- removed the 'Tank Shield' and put in 'Call Beads' Relic for Eiko, which changes her 'Summon' Skill to 'Call', which summons a random esper, except for Odin and Doomtrain, just like the vanilla Magicite item except it's infinent and costs no MP. (credit to C-Dude and PowerPanda for the code & idea, based on code by Assassin and M06)
- made Otis's Cannon Skill initiate somewhat faster.
- made the talking chocobo event branch in the Auction House happen just one time.
- made WoB Zombie weak to Fire once again.
- balanced some other select monsters & bosses.
- changed the Lava Demon NPC sprite in the burning house back to a simple flame NPC, because the other one was meant for the old pre-2.0 Lava Demon.
- changed a bunch of location names yet again, such as the Mechacore name back to Magitek Reasearch Facility, just because Mechacore quite simply doesn't make sense as a name (thanks to SSJ Rick for suggesting to do this and helping coming up with some of the new names.)
- changed the Black Waltz summon to be 'BlackWaltzes'. I hate cramming two separate names together like this, but there's nothing I can do as there's a 12 character limit.
- lowered price of Holy Water by 100.
- lowered price of Atomic Ball by 2000.
- lowered the price of chocobo stables.
- buffed Neko stats and equipment.
- nerfed Moggie's stats a bit, but also gave her the new 'Call' skill.
- nerfed Bahamut's (summon) damage.
- nerfed Osmose MP absorb %.
- lowered the damage of Delta Hit by 10%.
- gave Pepe a couple more lines of dialog for different parts of the WoB.
- added water scrolls to Lemuria item shop.
- added a dialog choice to battle JCE3000GT.
- added a different option to heal up at the WoB Coloseum INN.
- added a save point right before Drakkazul optional boss.
- added a secondary animation of sorts to Guillotine Flash to make up for removing the flashes that were removed.
- created a new Tuturis sprite. (credit to James White)
- changed the Captain for the Disciple (Fire Boss) from Jade Cacoon, to match up better with the Tuturis (also Jade Cacoon). (NPC and monster sprite made by James White)
- changed up a few monster sprites, a couple due to censoring purposes, also touched up some other monster sprites (credit to James White)
- drew back in many of the monsters' sprite shadows into their sprite, which were previously removed for space purposes.
- touched up Arc's portrait.
- touched up a couple songs.
- touched up and changed some dialog. (credit to SSJ Rick for any dialog edits he did that made it in.)
- swapped out the 'soundtrack b' Durandal Castle song for a better one.

- added a Random Battle Theme patch into the extras folder, for regular battles patch that changes most all regular battle theme instances to 8 possible random battle theme choices. (credit to Madsiur)

- added a whole bunch of alternate sprite patches for mainly the main cast, which will eventually be turned into a costume changing-type thing ala T-Edition, along with a bunch more costumes for each character. there is also a 'side b gfx' patch in the main root folder that will patch all of them together at once. Included with this update are: 'Sorceress Aurora', 'Crisis Core Cloud', 'Havoc Knight Avalon', 'Hitman Oboro', 'Royal Serin', 'Master Monk Ronan', 'Younger Fusoya', 'Summoner Eiko', Dragoon Otis' (already was present), 'Dancer Mog & all corresponding moogles', 'Pumpkin Knight Arc', 'Lich-form Reaper', 'Archbishop Astral', 'Terminator Leo', 'Invisible Heartless', & 'Piggy Status' (credit to James White for them all and their portraits!)

- also included in the 'extras folder' inside the 'character info & art' folder, is a whole bunch of NPC portraits for most of the NPCs and some unique characters that appear throughout the hack that will eventually/hopefully make their way into our planned strategy guide/info & art book. but for now they are there because they are fun to look at...and in case the book never happens.

- also included in the 'info' folder is LunaticScreamer's Strategy Guide that he made for his video playthrough, which will hopefully make it into a legit strategy guide/info & art book as well that was planned, but for now since he did such an incredible job with it and I'm sure others would find it most useful, I figured it should be included.

v2.6

- fixed a bug with a tree stump in Lemuria freezing the game upon searching it with no 'Incinerate!' rare item.
- fixed a bug with Fusoya unlearning a bunch of spells if the Aerith flashback event was not triggered before recruiting him, and is then triggered after.
- fixed a possible bug with Oboro not being recruited correctly after fighting him in the Coliseum.
- fixed a graphical bug with Oak turning into an old lady sprite on the airship.
- fixed a graphical bug with the weight NPC on the Opera House balcony turning into an Antlion sprite.
- fixed a mistake of a shared treasure chest bit in one of the Tyrano Tower rooms.
- fixed a mistake of renaming the rare Slots spell Joker Doom to Ninja Scroll.
- fixed a few monster formations where a monster was off screen some for a pincer attack.
- fixed some off pixels in the 'black hair Ronan' extra patch.
- fixed an issue of sorts with a custom event command that grants + level(s) to characters possibly rolling them back to level 0, if the character was granted + levels that would exceed lvl 99. (thanks to Synchysi)
- reverted Bahamut's spell animation back to original to prevent lag and monster sprite pixels disappearing.
- swapped an item at Santa's Shop.
- increased the damage of Master Star thrown item, as well as the weaker stars just a tad.
- Shenron no longer restores his HP back to full every 30 seconds of the game timer.
- Havel now does 1/3 chance to counter with Death Sentence instead of 100%.
- buffed Melzalgald (optional boss in Tyrano Tower room)
- lowered Abyss Dragon's HP (rare encounter in Dread Cavern)
- edited the item description of the Soul Booster to be more accurate.
- made the MMX Storm Eagle/Flame Mammoth mashup song sound better.
- applied a new patch Description Disruption. (credit to silentenigma)
- added 'Unrigged Slots' patch to the extras folder. (credit to Master Zed for making it 100 years ago)
- added 'Master Ronan' patch (changes Ronan's sprite and portrait) in the extras folder. (credit to James White - more to come in the future!)

v2.5

- fixed a terrible freeze right at the start of the WoR.
- fixed a foolish blunder where the Doll item characters (Reaper & Astral) were switched in battle and in the save menu.
- fixed an issue with a static envelope/letter sprite becoming another sprite for a second when getting Avalon back in the WoR.
- fixed a possible freeze right before fighting proto-babil +.
- fixed a bad jump in a track for Kashuon Castle (plays during the snow battle, soundtrack a).
- fixed a wrong song selection that plays if you return to the Crimson Blade hideout.
- fixed a mistake in Cloud of Darkness AI that cause her to target herself.
- corrected a wrong map palette for the spikes in the Phoenix Cave.
- reinstated character level averaging to all original instances.
- made Kefka stronger again for the vs. Aerith fight.
- lowered Zemus's HP a bit.
- made Avalanche spell miss if target has Float status.
- changed up Shiva's AI a bit in the Shiva & Ifrit fight.
- changed a zombie NPC palette in WoR Fraust.
- increased experience a bit for some WoR monsters on the overworld.
- edited various guest characters stats a bit.
- lowered the successful hit % of the Dark Force spell from 182% to 150%.

v2.4

- fixed an unforgivable event freeze at the start of the burning house event.
- fixed a typo.
- added an alternate Tifa sprite patch to the 'extras' folder. (credit to ScarabEnigma for the edit)

v2.3

- drastically culled which characters could equip what 'suit' armor(s). The suits are now more fitting to the characters' persona & size and should be seen/used less overall.
- removed the flashing animation from Ultima spell, reverting it back to the blue background effect.

v2.2

- made Golbez join +5 levels instead of +2, like it was pre-v2.0.

v2.1

- fixed a bad issue with a boss not doing its death sequence upon death, and possibly other bosses or battle event related things, caused by an AI bug. might have just affected Extreme difficulty, but not sure.
- fixed an issue with lag in the rich man's house.
- fixed an issue with Cloud not showing up in shop menu's while donning the dress.
- fixed the 'unrestricted esper' patch in the extras folder back to working as it should.
- fixed an issue with the 'alt. window backgrounds' patch where it could break dialog.
- fixed a possible audio glitch for a few select songs on soundtrack b.
- fixed a couple misspelling instances of Eldrin's name.
- fixed an instance of an NPC calling Rogue City 'Zozo'.
- gave Cloud +1 level at the start of his scenario.
- updated a couple NPC dialogs during Cloud's scenario.
- added a less subtle hint for reaching the basement of the rich man's house for new players.
- removed the possibility of re-catching the fish (rare item) after leaving Solitary Island.
- prinny (monster) no longer blocks sleep status (lol).

v2.0

Gameplay/Coding:
- made esper restriction the new default. the original unrestricted espers is now an included patch. (credit to Synchysi)
- changed/nerfed Runic so it doesn't absorb the exact spell damage as HP anymore, instead it does what the MP cost of the spell is x4 and heals that amount as HP.
- the Tintinabar effect (heals a small amount of HP with each step) now is active at all times, for all characters in the party, except for flagged maps with no random encounters, such as towns, save point caves, and for maps that are in a 'too hot' or 'too cold' environment, such as the Phoenix Cave or Caves of Fraust. Other special cases include the Ghost Train and Zozo. The intent of this is to cut back on the tediousness of usually needing to heal up after battles. Poison damage tics still do more damage so imo it doesn't break the game's difficulty, and healing up is still sometimes necessary since it's more than likely a random battle will happen before the HP is fully healed, or after coming back from being KO'd. This helps a lot early game, but the more HP a character gets the less dramatic the healing becomes. The amount of stamina a character has will add to the healing amount. (credit to Madsiur)
- there are now some temporary guest characters that will join the party at times, they come with their own portraits. (credit to James White for spriting the many portraits, Madsiur for making the code that allows for them to work in the menus, more class names, chocobo riding, etc. and for blocking the item menu in a certain flashback and some menu options for another.)
- got Meteo grouped with the other black magic in and out of battle. (thanks to GrayShadows)
- introduced a 2x damage to Dragon-type enemies sword. (credit to Madsiur)
- stamina stat now helps with blocking % on Sleep, Slow, and Drain spells.
- used Bropedio's version of the 'Elemental Mixing' patch, which changes up the resistance system formula and seems to make a lot of sense. Basically, damage from multi-element attacks is divided equally between its elements -- each portion of the damage is handled based on the target's weakness/resist/immunity to that individual element. (credit to bropedio, original version of the code by Think0028)

Fixes:
- fixed an incorrect weapon name.
- fixed an issue with dropping the weight on dirt dragon.
- fixed an issue with Dream Shrine not giving Might Tabs as part of reward.
- fixed a map layering issue in the 'laid-back woods' in the WoR.
- fixed a bad bush tile layering issue in Thamasa.
- fixed a mistake I made with WoB Thamasa town map palette.
- fixed an issue with randomness of the veldt packs, or lack there of rather.
- fixed a bad issue that could happen right before the Leviathan battle.
- fixed a 7 year old bug that had to do with status icons being re-arranged or put in weird spots, caused by returning from sub menu into the main menu really fast.
- fixed an issue with some knife weapons having bad pixels.
- fixed an issue of some items showing up as equipable shields in the in-battle re-equip item list feature. (thanks to Landy!)
- fixed a bug with the Cursed Shield (that doesn't exist anymore) becoming uncuresed and going into Relic slot, causing other issues.
- fixed an event freeze when saying 'no' to reaper twice.
- fixed an issue with a duplicate event trigger shifting the sprites before the Train boss.
- fixed a one-frame sprite glitch issue with the coin being flipped on the Blackjack.
- fixed an issue with the Control skill window being too small. (thanks to dn)
- fixed a character possibly merging with a chair in a certain event.
- fixed a possible invisible Starry Hood treasure chest in Kraid's Lair.
- fixed a bad monster formation mould at Tyrano Tower.
- fixed a case of Shenron teaching Ronan his final blitz.
- fixed an issue with undead monsters not doing the fade in/out animation when hit with instant death.
- fixed an issue of character stepping backward if spell Death is cast and magic-blocked shield animation.
- fixed an issue with the overworld song changing to a previous song after using a tent on the overworld right after the first castle submersion.
- re-fixed an issue with the game not working on certain psp & cell phone emulators.
- corrected the way chocobo faces on overworld map leaving Seascape Town stable.
- corrected song names in the music player.
- corrected the vertical positioning of a bunch of monsters in the coliseum battles.
- improved the green metroid cave battle background.
- changed the first pincer encounter in the game back to 3 enemies, to prevent unsightly pixel-dropping when spell graphics are used.

Sprite/Graphics:

- tons of new custom monster sprites, thus eliminating the vast majority of ripped sprites. (credit to James White)
- many new portraits and remakes of some old/previous portraits. (credit to James White)
- final battle tower boss compressed background bosses fully edited to new ones, also the opera stage edited. (credit to James White)
- an unfathomable amount of new NPC sprite replacements and additions. (credit to SSJ Rick)
- new hairstyle for Aurora and some touch ups. (credit to SSJ Rick & Zozma for his original updated Aurora sprite.)
- a new sprite for Serin (credit to SSJ Rick, and James White for touching up a couple poses.)
- a new look for Ronan (red hair, brown shoes, all black...kilt?). black hair is an optional patch now.
- a new esper Aurora sprite. (credit to SSJ Rick)
- a new pig sprite. (there's a patch for the old one included) (credit to SSJ Rick)
- FF Record Keeper-styled Eiko sprite. Older 'classic' Eiko sprite now in extras folder. (credit to ScarabEnigma)
- an updated Cloud sprite, thanks to ScarabEnigma for making it happen and SSJ Rick for touching it up. (credit goes to Royaken, ScarabEnigma, SSJ Rick and the sprite artists of ffrk of course.)
- Ronan's portrait to red hair and minor tweaks. (thanks to SSJ Rick for re-coloring with James' permission to do so.)
- updated a couple poses on Reaper.
- added more suit/costume armors like the Moogle Suit. (credit to Madsiur)
- edited Recharge's animation to be 100% on the dead character.
- custom Crusher npc sprite for Guardian. (credit to ScarabEnigma)
- new Sonic Rifle graphic and bullets. (credit to SSJ Rick)
- improved Buster Sword graphic. (credit to SSJ Rick)

Music:

- added a patch in the 'Extras' folder for a 'soundtrack b', that replaces 184 songs! (58 of which are emberlings masterful works, please see the readme/credits for which exactly which ones.)
- corrected an ever-so-slightly higher pitched tone than should be issue for all songs. (thanks to emberling)
- fixed an issue of a song's reverb value bleeding over into the next song played. (thanks to emberling)
- re-implemented an echo command to be enabled that was more or less accidentally removed for most of the songs, making them much better sounding. (thanks to emberling.)
- touched up many songs, after hearing them play out on my TV as well as some good headphones. (thanks to Jackimus for correcting triplet issues and bettering some songs, and feedback on others.)
- added some more advanced commands that I previously had no idea about such as ADSR and drumroll & slur to many songs.
- added some Chrono Trigger instruments, used in some select songs. also added some other Squaresoft games' instruments to use here and there. (thanks to madsiur for extracting them all.)
- new final battle song. (credit to Jackimus)
- alphabetized the music player song names.
- put battle music back to the longer dungeons.

Dialog:

- converted over to atlas, a script insertion utility to allow for an absurd amount of dialog bytes and captions. (thanks to Madsiur)
- an absolute ton of dialog additions and editing. (credit hugely in part to SSJ Rick)
- removed most of the FF4 backstory that FuSoYa talked about to lighten up that text-heavy part of that event a bit.
- separated large chunks of consecutive dialog into different captions to allow for proper pause and organic feeling, as well as more character actions in between.
- cut back just a tad on Otis's pirate accent by removing th' and o', which makes it easier to read and less stuttery.

Misc. Changes & Balance:

- ROM expanded to 8MB. (should play on most all current emulators aside from crappy ones like Canoe, though there are methods to get it to work on that as well.
- done away with the Schrodinger's Chests (those few treasures that would change to better loot in the WoR). So no need to not open any now!
- added 100+ more treasures to be found.
- changed Ronan's 'Galick Gun' to 'Ki Blast' and changed the palette.
- changed the Bushido Code Relic to 'Monk's Belt', and gave to Ronan instead of Avalon.
- changed Ronan's first two combo inputs.
- changed the food items back to classic FF, food items are now an optional patch.
- added actual teleport event trigger exits in the Spellbound Castle.
- Lore changed to 'Arcane', and Loremaster for Fusoya's Class to Arcanist.
- the Heartless no longer has Umaro's special attacks, however I moved the charge/tackle attack over to Ronan who can do it 1/4 chance on a regular attack. The throwing character special attack got removed for much needed space in C2.
- Monkey's Paw relic changed to 'Ghoul Medal', now also does Reflect on low HP.
- Avalon can now equip the Mystic Sword.
- Tifa comes with Warp now, which helps sell the scene in the magitek factory when she warps her and kefka away.
- made the dream shrine still give out prizes upon failing, just not Jade Skull.
- edited the intro event at start of the game to show other dev team members.
- added an unused duplicate magitek stairway map back to Kefka's Tower.
- reduced final kefka boss hp loops a bit for all difficulties.
- replaced a couple songs.
- added Tincture back to an item shop.
- reduced Neko's prices.
- Aurora now starts at level 5 instead of 3.
- tweaked some character start-up stats.
- unflagged some spells that Runic could absorb.
- re-balanced many monsters/bosses on all difficulties, but more so focusing on the 3rd and 4th. This includes lowering and in some cases removing the amount of 'extra lives' some bosses have.
- changed the Vertigo spell (Confusion on all) to have a hit % instead of always hit, also changed it's glitchy looking animation to what was 7-Flush since it was unused.
- increased timer length for both the Leviathan battle and the burning down house segment.
- a bunch of new and edited events.
- James White's NPC inside the developer's house now heals MP and death instead of just HP. Sorry INN Keeper for rendering you useless! Not like anyone ever used your INN anyways...just sayin'.
- a new Mr. Grimm monster sprite for a certain new event twist on a certain train. (credit to James White)
- made Rasp (now renamed Expel) holy element so it does more MP damage to ghost/undead/doomkaiser, which all die at 0 MP.
- gave Gamma Sword random cast Expel (Rasp).
- Karma Jolts (Revivify) will once again kill off Undead monsters.
- reduced price of Recharge by 100.
- Avalon now comes with Cure instead of Drain, and Purify instead of Regen.
- one of Avalon's swords he comes with is now Holy element.
- changed/moved the Lete River Cave treasure.
- nerfed Tifa's starting level.
- gave Sword Calibur esper Drain instead of Regen.
- removed a patch that was causing a horrible bug with the item menu re-equip feature.
- nerfed Cloud's Final Touch's chance to hit.
- Ronan's blizzard Cannon now uses Flare Star's formula, just ice-elemental.
- turned the loud alarm sound during Arc's flashback scene down an octave.
- removed the timer for the Leviathan battle due to the fact that the party has use of the Underwater Breathing Helmet.
- increased time limit to burning house a bit.
- put back level averaging for Tifa at the start of the WoR.
- Moogle Suit changed to Elite Armor.
- Heartless can now equip some weapons.
- Extreme and Insane character experience 'absolute and increment' curves removed because they were terrible. They now share with Hardcore difficulty, which is a nice curve that basically just requires a bit more exp. per level. Regular difficulty still uses the vanilla game's curve.
- 'higher risk higher reward' monster experience bonus per difficulty is now as such:
Regular = 0% more exp.
Hardcore = 25% more exp. than Regular.
Extreme = 50% more exp. than Regular.
Insane = 75% more exp. than Regular.
- removed flashes from Bum Rush/Beat Rush and Surge Cutter. (thanks to Kenefactor for the idea)

Patches:

- added an optional patch walk to run, hold B to run patch for any who'd prefer to not have to hold B to run, but to instead walk. (credit to Lufia)
- applied Trigger Happy, Walk This Way, Solar Wind, Color Wheel bug fixes. (credit to LeetSketcher, & Seibaby for getting Color Wheel working for this hack)
- Elemental Mixing patch - Think0028
- included a patch in the extra folder made by Seibaby called 'lolmode-scrubs' that doubles Exp, Gil, and lowers the encounter rate. (credit to Seibaby)
- critical strikes won't carry over to spells - assassin

-----------------------------------------------------------------------------------------

v1.8.3

- added a Step Mine patch that uses steps instead of time for MP cost (credit to Lufia).
- fixed Majin Buu from showing up on the Beast Plains.
- fixed back row damage penalty flag on some spells/skills is back to working.
- fixed a bad-looking pincer attack monster formation.
- fixed an issue with Oboro's stats going back to default in the WoR.
- lowered & changed some natural magic levels and spells learned.
- corrected volume levels in 'What Should Be' song
- corrected channel panning issues for some songs.
- slight nerfs to Shijima & Crystals, and Majin Buu (stronger version).

v1.8.2

- corrected a tile properties issue in 'Error's' house basement.
- fixed a bug having to do with save points, lead character spots, and tents. (thanks to LeetSketcher)
- nerfed a few bosses hp on expert difficulty.
- nerfed the Eidolon monster's counter to Havoc to 1/3 chance.
- Eiko gets Meteo at lvl 96 now instead of 97.
- reduced prices of Digestol and Lemonade.
- quite a bit of dialog edited.

v1.8.1

- changed the splash screen at the start of the game to a new original one. (thanks & credit to James White)
- touched up the horizon gradient palette for the WoR while flying in the airship.
- made the exit out of the music player noise the 'shift' sound as well.
- few lines of dialog changed.

v1.8.0

- added no gradient patch in config menu that removes the gradient effect in all menus (credit to Madsiur)
- replaced Aurora's portrait yet again, with what imo is a better one! (thanks & credit to James White)
- replaced some monsters with some more of James White's custom sprites. (thanks & credit to James White)
- touched up some pre-existing portraits (thanks & credit to James White)
- changed some monster attack names etc. as a result of ^)
- added 'Classic Golbez' patch in the extras folder with the hack package, which changes Golbez's sprite and portrait to a much more FFIV-looking one. (credit to James White and Kugawattan)
- fixed a mistake from the previous version with FuSoYa having a bunch of random spell % upon recruitment.
- corrected a bug with characters run animations not working when Otis is in the air (Jump).
- re-worked how the Magroader monsters go back and forward in the escape from the Magitek Factory.
- added a save point at the beginning of the Fraust/Narshe raid for New Game + only.

v1.7.4

- fixed an issue with the game not working on psp emulators and possibly others.
- fixed an elusive bug with guest characters having spells from equipment being taught to other characters, and other strange things regarding item magic that have been reported. This might also possibly fix Golbez losing his spells from time to time as well.
- fixed an accidental blunder with Magic Pot summon spell graphics being messed up and lagging really bad.
- fixed some inconsistencies with dog block being set or not set correctly on Eiko & Oboro. (thanks to Exodus for the heads up)
- fixed an issue of the ambient river sound/song going quiet if exiting the menu first thing after Astral joins.
- fixed an issue with the Hedgehog monster in WoR not casting Rippler correctly.
- corrected a song cutting out too fast issue during Ronan's scenario.
- corrected JCE3000GT being killed by Death status on Normal difficulty.
- corrected a bunch of incorrect Spirit (Rage) descriptions. (many thanks to Exodus!)
- buffed Serin's Psycho Blade skill damage a bit.
- nerfed Shadow Flare spell damage a bit.
- Tifa portrait touched up. (thanks to James White)
- touched up Arcana boss song (too much bass).
- touched up Sinistral Battle a bit yet again.
- touched up on Fusoya's spell casting pose. (thanks to James White)
- small graphical event touch ups during the 'big event on the floating continent'.
- changed Vortex spell graphics back to X-Zone, replaced Goner/Forsaken graphics with that of GrandTrain and named it Dark Matter, because Serin already has the Forsaken animation for one of his skills and I wanted original X-Zone's back.
- did quite a bit of monster stat balancing for all the difficulties, but mostly Insane.
- replaced a couple window/wallpapers. (credit to Madsiur for them)
- applied 'Bird Bars' patch by LeetSketcher.
- re-applied Fancy Walking patch by Lenophis & assassin, fixed by LeetSketcher.

v1.7.3

- fixed a horrible bug with Cloud and Ronan freezing the game when learning a new ability, caused by attempting to fix the bug with Astral's gear teaching other characters magic.
- fixes/swaps an NPC in WoB Narsh that's graphics mess up when it does a pose.
- corrected a Spirit/Rage description for Ember monster.

v1.7.2

- fixed an issue of the difficulty selection not working correctly for New Game +. The difficulty choice will now pop up at the start of the Narsh raid sequence instead of before, for NG+. (thanks to Madsiur for the help)
- fixed an issue with the dialog text with character names having strange spacing and line breaks.
- fixed an issue of characters learning magic from guest characters equiped items that teach spells.
- fixed the 'esper restrict' patch that's included with the hack package back to working, it was conflicting.
- fixed a mistake with the 'original item names' patch, to include the new item icons, I forgot to update that.
- fixed some song issues for Aerith's event and in the Chemist's house in Stardust Village.
- fixed yet another of the included patches, the 'return level averaging' patch, where it would freeze at the WoR Eiko event.
- fixes a broken counter and death routine of Blue Tiger Boss AI...hopefully not breaking anything else, but probably.
- updated a couple of LeetSketcher's patches.
- applied Blitz Screen patch of LeetSketcher - the blitz names now show up in the Blitz menu along with the combination input.
- fixed some music player issues. (thanks to Madsiur for getting them fixed, for his music player patch)
- fixed the tile bugs with certain event-related doors from the vanilla game. (thanks to LeetSketcher)
- corrected a not-so-good looking tile in Mount Koltz.
- fixed two issues with the Skull Train/Mr. Grimm battle, with Mr. Grimm looking the other way after being confused, and also his name vanishing for the remainder of the battle if the train was killed first. He now does not float anymore on the train as a result of needing to swap relics for him.
- fixed an issue with Leviathan event where Tifa would not be shown after the battle, and also her arms being in a weird pose possibly before the battle.
- corrected a wrong text box message that pops up after beating Alpha Omega.
- fixed an issue of the overworld music not starting over on a couple WoR town exits.
- disabled access to the menu directly after the train battle, to prevent a music player issue.
- corrected a wrong map message name when you enter it.
- fixed a bug of the player being able to move during a dialog box after JCE3000GT battle.
- re-worked the whole wind sound hint from the rich man's house during Cloud's scenario, and put a guard dog to guard the basement entrace before you should be able to go there.
- lowered hit% of Havoc skill a bit, again. Also raised the time it takes to innitiate by a tad.
- touched up WoB Airship song (first one).
- touched up Sinistral Battle song, again.
- fixed a bug with character stats not refreshing right away with the de-equipping NPC. (thanks to LeetSketcher patch)
- edited some dialog.
- added a new little something in Jericho, just a little extra thing to do.
- swapped the Imperial Castle song for another.
- turned down the volume of the wind tracks in WoR overworld song.
- put back battle theme for monsters in Kefka's Tower, since it's the final dungeon and all.
- removed the weird effect in the Spiral Mountain save point cave.
- nerfed Soul Eater's mag power a bit.
- few dialog edits.

v1.7.1

- fixed a nasty bug where there could be 3 aurora objects to start the game if there was srm data present.
- fixed a horrible mistake of the game black screening if Oak dies.
- fixed an issue of wrong formation of monsters used on the WoB triangle island.
- fixed Oboro not merging correctly into the party in Rampart pub if hired.
- fixed a bug with Mithril Pike and Handcannon not optimizing correctly. (thanks Madsiur for help)
- fixed an vanilla issue of Aurora & Cloud not showing up for a second in Returner's Hideout, after speaking with Astral event.
- fixed a bug with Leo repeating some text and taking a step backward on the ship after Levy if talked to again.
- fixed a wrong NPC in Jericho when Kefka attacks.
- fixed a song/music player entrance event issue in Jericho.
- fixed a game freezing bug and other weirdness at the end game scenes if certain people were not recruited.
- fixed a nibble issue with the Stone Queen being released.
- fixed an instance of Intercepter being on the Airship deck before going in the Phoenix Cave.
- corrected a positioning error of the airship and character on the overworld after the Phoenix Cave.
- corrected a small blunder in Kefka's Tower with an event trigger I moved for testing...
- applied Muddle Cancel patch. (credit to Seibaby)
- applied Independent Stop patch. (credit to Seibaby)
- bettered the ugly reflect graphic byproduct of color coded digits.
- moved the WoB Durandal castle up just a bit on the overworld for a smoother, more accurate underground movement path.
- touched up the Skull Train outside tiles.
- touched up the WoB Minimap graphic.
- lowered overall monster encounter rates.
- changed Volcano (Fire 3) spell graphic/animation back to original because it had some issues and went on too long.
- made it so no exp. is gained for the Aerith flashback battles.
- made the T'ai Chi Cap and Bard's Hat equipable by some, not everyone.
- edited various regular monster AI & stats for the different difficulties.
- added a few new NPCs.
- some small event edits.
- the usual dialog and song touch ups.

v1.7

- implemented a music player in the menu. (thanks & credit to Madsiur)
- implemented a 4th difficulty setting. (thanks & credit to Madsiur)
- implemented a font selection in config menu. (thanks & credit to Madsiur) (credit to Dragonsbrethren for the alternate font)
- all new and improved portraits. (thanks & credit to James White) The 'old' portraits are now available with a patch included in the extras folder.
- new/improved Kefka monster sprite, as well as many other improvements in the monster sprite dept. (thanks & credit to James White)
- fixed an issue with the HP & MP curves not working correctly. (thanks & credit to Madsiur)
- fixed an issue of some newly recruited characters experience needed being absurdly high. (thanks & credit to Madsiur)
- fixed a possible event freeze from the original game in the Returner's Hideout. (thanks & credit to Madsiur)
- added a bunch of new item icons. (credit to the Pandora's Box team for the icons)
- added seibaby's 'Smart Cover' patch that makes True Knight users a little smarter. (thanks & credit to seibaby)
- fixed an issue with Runic where it would not bypass Reflect status for Arc, like it should, and re-worked the formula a bit - now it heals Arc for exactly what the spell would have damaged him for. Non-damaging spells like Death will heal him for nothing.
- fixed a certain NPC being called the wrong name.
- fixed a possible issue with the splash screen messing up graphically.
- fixed a possible issue of Ronan not having Galick Gun upon recruitment.
- fixed an issue with a couple rare monster encounters having songs that would prevent the map music from coming back in after.
- fixed two fusoya palette issues in avalon's dream sequence.
- fixed a very small graphical issue with a map tile going through a character during an event.
- fixed an issue of the timer possibly being removed from the crumbling house event.
- prevented Astral (doll item/guest character) from being used during Avalon's dream event.
- corrected a wrong palette for Summon animation.
- applied patch to fix issue with Throw taking a step back if enemy jumps. (credit to LeetSketcher)
- brought back a flute instrument that was somehow erased.
- gave Aerith a Relic to prevent instant death, which could possibly happen to her in her Flashback battles.
- added 4 more Rare Items, with no real use, just for story-related reasoning.
- changed some of the spells that Runic can absorb. For instance Hyperdrive can no longer be absorbed.
- removed the extra flashes from Ronan's Guillotine Flash animation to hopefully cut back on the seizures.
- Nerfed Osmose.
- applied Status Unknown patch by LeetSketcher (credit to him)
- made Float spell single target only. Muahahaha, deal with it!
- made Sylph esper cast float on the entire party as well as heal HP.
- removed random encounters from Owzer's Mansion basement after that event is done.
- edited a bunch of dialog.
- applied a Rage reset code made by Think0028 so monster status does not stack on death. (credit to Think)
- fixed an issue of instrument overflow causing song glitches for Undertale Bonetrousle.
- fixed an issue with Tritoch sprite missing a piece of it's tail. (credit to bydoless)
- fixed an issue with chocobo sprite in Auction House being blocked by other sprites.
- Tentacle can be dodged now.
- Arise and Curaga can also be learned from Odin.
- added FF6j Relic indicators (credit to Novalia Spirit)
- touched up a few songs.
- Cerburus is now included in the ending scene, if Oboro was re-recruited in the WoR.
- Changed 2 of the custom wallpaper/window backgrounds to FFV and FFMQ ones. (credit to James White) Also, added a patch in the 'extras' folder that will swap in 7 different window backgrounds.
- Simplified (hopefully) some of the Combo (Blitz) input commands. Sorry to those of you who've memorized them...

v1.6.1

- fixed an issue with different difficulties status menus reading incorrectly (credit & thanks to Madsiur)
- fixed an issue with the Esper Restriction patch that I caused putting up garbage text and exiting out of skill menus.
- fixed an issue with a couple glitchy monster attack animations.
- re-removed Oboro's equipment at the end of the fire house events in case he has an esper equipped.
- possibly fixed up some weird spell learned % issues by removing a few treasures that were exceeding their RAM range into an area that might be used now for spell learning, or something...but I'm not sure yet.

v1.6

- implemented a difficulty selection feature upon new game or new game + each difficulty effects monster stats, character HP & MP growth, seperate experience curves, and monster AI alterations. (credit to Madsiur)
- re-balanced many monsters as a result of this new difficulty selection.
- alphabetized the Spirit (Rage) menu. (thanks to assassin for the original code)
- replaced the FF7 Boss Theme with a much better version by Jackimus. (credit to Jackimus)
- fixed a pricing bug with the White Cape.
- fixed an issue with guest characters showing up over Otis sprite in the event of going to Zuriel's Tower.
- fixed a possible boss skip issue in Kefka's Tower, from the original game.
- fixed a bug with True Knight Relic function neglecting the characters that act as monsters. (thanks to a patch by assassin.
- fixed a small NPC issue with the hermit looking to the right for a split second when he should just face down.
- fixed a bad palette for palette 6 characters on the Dream Shrine map (Sealed Gate).
- fixed a NPC who did not do her automated walking script after an event in Jericho (flower girl).
- fixed an issue of Reaper becoming Mr. Grimm in the Dream Shrine Train battle by removing Mr. Grimm from it.
- MP costing weapons now scale based on character level. (credit to Synchysi)
- nerfed Ronan's Wolf Wind and Ice Blast spells - Ice Blast no longer ignores split damage but is a bit stronger, Wolf Wind damage nerfed a bit.
- replaced a couple songs, and touched up a few.
- raised Havoc skill hit % a bit.
- corrected a couple Spirit (Rage) descriptions.
- changed Catastrophe's regular animation to resemble most of the removed custom Break spell. 
- Arc's Talisman relic now protects against Condemned status, & 50% damage reduction from Holy element.
- Holy Amulet now blocks holy element, but weak to poison element.
- Specter dance spell inflicts Condemned status now as well.
- Monster spell Primal Rage inflicts Berserk now instead of Slow.
- re-worked monster palettes, now there are no duplicate/shared monster palettes at all.
- Cloud can now equip heavy armor.
- added nine new monsters: Assassin, Polong, Kelpie, Biter, Mugger, Elder Dragon, Ice Demon, Dark Crystal, Ghostbiker. 
- changed a couple treasures inside the Magitek Factory.
- changed a few monster names.
- changed the name of Magi Ring to Oracle Ring.

v1.5.5

- corrected an issue of wrong palettes on many item animations.
- raised the chance of a successful steal some more.
- re-balanced various monsters/bosses.
- Recharge! (cures KO'd) now gives 1/4th HP back instead of 1/8th.
- Karma Jolt (cures Zombie) now gives 1/8th HP back instead of just 2, which was a mistake.
- swapped in a new song.
- moved location the of the rare Light Dragon monster encounter in the WoR to a desert and made the Jabbrwocky 1/16th rare encounter again in the dino forest.
- removed split damage flag for Meteo, raised damage to compensate.
- tweaked a couple spell costs.
- tweaked the natural magic lists a bit.
- made it so healing items don't go to waste on a dead person. (thanks to m06)
- fixed an issue with the Remedy/Digestol item animation being messed up.
- reverted Break spell animation back to original.

v1.5.4

- fixed an unforgivable game-breaking freeze in WoR Jericho.
- fixed an issue with Holy Amulet costing way too much.
- fixed a bug with Otis jumping in the air, dying, and not coming back down.
- fixed a bug with colosseum propagator not dying.
- greatly editited final Kefka AI script.
- nerfed Gladiator enemy.
- removed the odd case of Sleeping Bags being added to the inventory after Tritoch.
- removed back row check flag for Galick Gun.
- fixed a bug in propagator's main script.
- added Think0028's nATB basic patch to the 'extras' folder.


v1.5.3

- fixed a bad palette issue for Tifa's Water Kick move.
- fixed a bug from the original game dealing with an exit being wrong.
- fixed a bug with Oboro not needed to bet his weapon to get him in the WoR.
- put back in a spear graphic that was somehow removed.
- removed lil ufo from formation on the Floating Continent.
- removed character names from the equipment/Relic screen.

v1.5.2

- corrected a horrible issue with Jump missing every time.
- new Cloud Strife sprite based on FF Record Keeper. (credit to Royaken, and SSJ Rick for touching it up)

v1.5.1

- Recharge! Item can no longer target enemy.
- Varia Suit can be equipped by all now.
- Big Daddy enemy can no longer be Controlled.
- corrected a small quirk with the Skull Train battle.

v1.5

- customized the intro credits with staff names & etc. (thanks to abw)
- Dance and Rage descriptions in the menu have been added. (thanks to dn for the code)
- put spell/skill window descriptions back to normal size, removed the class name in these menus and re-sized the skills windows on the left just a tad.
- edited some weapons to randomly cast spells outside of the normal spell range.(credit to HatZen)
- edited Mog's Dance names.
- fixed a bad issue with Hades summon killing anything and everything.
- fixed the issue of Reaper losing his Rages at times.
- fixed an issue of Otis not coming with his spells if Oboro is in the party.
- fixed up some quotation issues with items in menu.
- fixed all the maps that palette 6 characters looked glitched-colored on.
- fixed some bad tile palette issue for the sealed gate map and battle background.
- fixed 'Oboro Buu' in the colosseum. (credit to leet Sketcher)
- fixed a possible freeze with a record player song event in WoR Mobliz.
- fixed an issue of Ronan learning Bum Rush when he's not supposed to.
- fixed a possible issue of Neko vanishing in the Fraust battle event.
- fixed a shared treasure bit.
- fixed a bad issue of Oboro's sprite sticking on map after Sealed Gate battle.
- fixed an issue of Oak not being able to die if went to Cliffs.
- fixed a possible weird event issue with Oak going to the airship.
- fixed Wyvern Lance to randomly cast Wind Slash again, it somehow was removed.
- fixed an issue of the wrong sprite for Oboro in his last dream.
- fixed up a couple New Game + issues with statuses being carried over, and Arvis walking through walls.
- fixed a very hard to notice bad tile in Kefka's Tower from the original game.
- fixed an issue of the Narshe Mayor being erased from his house for some time.
- new generic male sprite. (credit to Kugawattan)
- new generic old man sprite. (credit to Kugawattan)
- new generic old woman sprite. (credit to Kugawattan)
- new generic boy sprite. (credit to Kugawattan)
- new generic girl sprite. (credit to Badass)
- new generic woman sprite. (credit to James White and Kugawattan)
- changed up a couple of the Dance set spells.
- changed some spell names.
- changed the spells Otis comes with.
- changed Oboro's true name from 'Akira' to 'Slade', just because I like it better for him.
- changed a couple moogles' names in the moogle battle.
- changed kingdom of 'Daventry' to 'Dalzenia', and 'Castle Daventry' to 'Durandal Castle'.
- changed 'Dragonia' to 'Draconia'.
- changed Aurora's mother's name to Eliza, and gave her a unique palette and slight story change.
- changed Astral's class to 'Wizard'.
- changed Red Apple item name to Mystic Fruit.
- changed 'attack' command back to 'fight' to allow for X-fight to show correctly.
- put back colored mblock shield animation thanks to a patch by Leet sketcher.
- gave Eiko intercepter status after Thamasa, until the end of the WoB. And then again in the WoR once Oboro is recruited.
- gave Ultros 3 a unique battle music.
- gave FFII Town song a better flute instrument.
- gave Aurora some different dialog in the airship, before releasing the espers.
- corrected meteo's spell intro to black magic.
- made the heartless not need those Relics in order to do his special fight skills.
- made it so healing items can no longer damage undead, just healing magic.
- made thrown items blockable and thrown magical items reflectable.
- added more reverb to the load game screen song.
- added some more location names that pop up when you enter certain maps.
- replaced the 2 Heartless-exclusive Relics for 'Beast Hide' and 'Band-Aid' items.
- replaced the 'Pimp Cane' for 'Scrap Metal'.
- Tank Shield now is -5 speed, boosted defense lots.
- Arc can no longer equip Cloud's Buster Sword or Apocalypse, or Otis's Anchor weapons.
- touched up Lufia 2 - Sinistrals song. (bass was too loud)
- disabled menu access when going through the trans-dimensional gateway to avoid the 'song' from cutting out when scrolling through items.
- buffed the Ice Dragon. (Coldfang)
- X-Fight now shows up correctly in battle, with the Divine Gift relic. (credit to Leet Sketcher)
- used more of Leet Sketcher's patches he's recently made. (credit to Leet Sketcher)
- nerfed God Hand weapon's damage.
- removed & changed the poison, berserk, and zombie status coloring effects so they no longer look weird on Golbez - Zombie now glows purple, the other two have no coloring.
- corrected an unwanted song change in the metroid house in Twilight Vista.
- shortened the location name window time by a touch.
- some dialog script changes.
- put in more work on a lot of battle scripts.
- put in a new Summon intro graphic, and a couple other spell graphic edits. (credit to Tsushiy)
- Rod Magic and other equipment used as items now remove Clear status. (credit to seibaby)
- Increasing Stamina stat now gives slightly more hp gain upon level up. (credit to Madsiur)

v1.4.8

- fixed a small issue of monster Omnigear having some blank dialog text in battle.
- touched up a bit of various dialog.
- gave an extra sound effect to Otis when he jumps down from the opera ceiling.
- fixed a very hard to notice small issue from the original game with the soldier not falling down far enough (sticking) after getting hit by the minecart, after the minecart ride.
- touched up the WoB battle victory fanfare (Saga Frontier - Victory!) just an instrument volume thing.
- bettered a tiny bit of the 'big event' on the Floating Continent.
- swapped Golbez and Shadow's (Heartless) ending scenes.
- nerfed Meteo damage ever so slightly.

v1.4.7

- corrected a horrible mistake with Cloud's Finishing Touch Limit that caused it to kill anything.

v1.4.6

- fixed a possible issue of the song used to battle Ultros 2 at the Opera House glitching up, and the song directly after it. This was an issue on snes9x, not sure about real hardware though. zsnes didn't have the issue.
- slightly edited Cloud's actions when he is acting with Ultros.
- fixed some garbage looking tiles on the Serpent Trench map that was caused by the level editor spilling data over by 1 byte upon saving.
- turned down the encounter rate in Serpent Trench Caves.
- touched up the WoB overworld forest tiles just a bit.

v1.4.5

- corrected some dialog I forgot to change regarding the Metal Gear monster's name change to Crusher.
- added HatZen's Reward Display patch.
- changed the sound of the Karma Jolt item a bit.
- corrected a mistake in an item description.

v1.4.4

- removed random battles from the 'monster room' basement in Seascape Town after the invasion.
- renamed Metal Gear monster/boss to Crusher.
- made Psionic Wave Aether missable in battle.
- fixed a mistake with WoR monster 'Trent' not having a victory music/dance afterwords.

v1.4.3

- included a limited esper patch. (thanks very much to Synchysi for making it happen!)
- fixed a glitch that could happen if you have less than 4000 gil for the 1st WoR boat ride to Seaside Town with Tifa.
- fixed an issue of shared RAM with Golbez's spells that resulted in him losing some spell %'s.
- fixed the rage learning code to work for Reaper correctly, now it will only pick up the rage(s) if he is in the party and not dead or zombied. (thanks & credit to HatZen!)
- made it so FuSoYa can not bring an equipped esper to his flashback event.
- removed Love Token Rage from Screamer to prevent HP loop bug in AI script.
- fixed a situation where you could get unlimited Quicksilvers by morphing Doomkaiser dragon (thanks to Tenkarider)
- reduced Soul Eater's HP a bit.
- removed dee_ehn's patch to disable EXP gain through config menu due to a bug in new game + and some treasure bit issues. (it was not designed for RotDS, my fault.)
- fixed another spot where you could get stuck on a chocobo.
- buffed a few of Cloud's limit skills a bit: Braver, Blade Beam, Omnislash.
- Cloud learns Blade Beam at lvl 12 instead of 10.
- corrected a bad palette on Sakura weapon.
- touched up the custom WoB overworld forest tile to look less sawed off on the sides.
- nerfed Dark Heart dragon a bit: speed lowered and instant kill special changed.
- lowered Zemus' HP some for the Floating Continent battle.
- swapped Gilgamesh's monster sprite to his non-morphed one.
- imported a better sprite for the FFT demon monsters.
- changed the robot boss in the developer's house to something else entirely.
- found/fixed a silly bug with the Castle Daventry shop owner teaching Avalon Cure.
- fixed an issue of the Ark Magicite vanishing possibly.
- changed up/worked on some Colosseum matches and prizes.
- nerfed many of the highest mblock & evade equipment and re-worked some characters base evade & mblock % to prevent the max evade % to get up to 128% except for a couple rare instances.
- made Shadow Flare dodgeable but with a really high hit % of 222%.
- Golbez can no longer equip Rods.
- Heartless can equip more armors.
- Dream Shld renamed to Tank Shld and made into 'heavy gear'.
- allowed Oboro and Tifa to equip all non-heavy gear shields.
- Avalon can use Dragon Soul relic now, instead of Divine Gift.
- Some other equipment changes for a few select characters as well.
- fixed the destroyed highlands map during the floating continent destruction back to its correct palette (sacrificed it a long time ago, and freed back up a palette for it now).
- fixed a bug with the Garuda battle if less than four people were in the party.
- Ronan no longer comes equipped with Brass Knuckles.
- Aurora's class name changed from Sorceress to Battlemage.
- Tifa's class name changed from Brawler to Fighter.
- corrected an off-looking tile swap graphic dealing with a table in the Skull Train restaurant.
- changed some of the starting bonuses to character level upon recruitment - Arc & Eiko start -2 levels the average, because they are kids! Makes sense to me anyways...
- changed 2 combinations of the combo attacks that used diagonal arrows, although they could still be exicuted the same way.
- nerfed nanoflare aether's overall damage due to it being fire-elemental.
- buffed crippled strike combo damage.
- gave blaster a small boost in damage and accuracy.
- Aurora's Morph now does 25% increased spell damage instead of 50%.
- added a new song for WoR Jericho.
- made stealing items from bosses harder exept for monsters/bosses over lvl 80.
- increased the ratio of getting a rare item steal, and increased the overall chance of stealing by a bit.
- made the pig NPC that sells a golden apple appear after the battle with Kefka at Fraust, not before.
- soul booster no longer blocks poison spells, since I don't consider poison an element per say.
- changed 'Tornado' spell to 'Gravity', drains 90% of non-death protected monster's HP like Tornado, but has a higher % of hitting and doesn't hit random targets. (thanks to retrogamer for the suggestion).
- changed limit skill No Tomorrow to Finish Touch (thanks to retrogamer for the suggestion).
- renamed limit skill Full Power to Climhazzard. 
- updated some of Aurora's poses (thanks/credit to Zozma, he did a whole new sheet for her but I won't be using it yet as it needs a certain palette patch applied that is currently incompatible with the hack.)
- corrected a wrong palette for Vendetta weapon.
- fixed an issue with Cloud of Darkness AI hitting herself.
- added Mr. Grimm name to the train battle.
- added Reaper to the ending event character scene, if Oboro was recruited...
- fixed a possible freeze at the Fraust battlefield against Kefka if Oboro is hired.
- added Mog to the available characters for the Fraust battle against Kefka.
- fixed a sprite issue at the ending repairing the burned house scene.
- removed Nina Sight Relic from Oboro to start with, just to have a reason to buy it.
- changed some shop prices.
- renamed a couple items.
- slowed down Cloud's Limit gauge by 25%... Reason being he simply was raping too fast and hard in my opinion by getting to his Limits past level 4 so quick and it feels more charge-like again, just not super slow like the original.
- made it so Oboro joins you in the skulls battle instead of running off, if he is hired.
- made skulls become frozen after 4 hits, instead of 3. Seems right now.
- fixed an issue of sorts with Oboro and the party changing NPC in Glow City, now Oboro goes back to the pub in Rampart if you change members.
- corrected a too high octave floor bass in Star Wars Cantina song.
- made Runic possible for Arc no matter what weapon (or none) he has equipped.
- gave Otis some spells upon recruitment.
- changed Radiance spell name back to Holy.
- changed Diabolus spell name back to Meltdown.
- returned level averaging back to Aurora after her esper flashback.
- changed name of town 'Thistle' to 'Elwood', because I like it better.
- re-worked the Leviathan event so that the menu can be opened before the battle.
- swapped out Leo's Pod Bracelet for a First Strike Relic because he can cast Big Guard.
- fixed an issue from the original game with the boat ride to thamasa where entering the menu would cause the ocean song to restart, and possibly have the last previous played song 'pop' in for a milisecond.
- Changed Delta hit spell to non-tri-elemental damage (was too easy to absorb), and much stronger.
- removed Holy from Fusoya and Flare from Golbez from their spells they come with.
- changed up Fusoya's gear upon recruitment, gave Eiko a weaker shield, and same for Leo's armor.
- made Goddess Ring for female characters only (and Arc).
- Bettered Cloud's KO pose (thanks & credit to James White).
- corrected a wrong song choice in an event.
- bettered some of the character's riding poses.
- fixed a small instrument blunder with a song (Treasure Conflix - Title).
- changed one line of dialogue.
- fixed a mistake with one of Oboro's weapons granting steal for magic.
- changed Tifa's class back to Brawler... Sorry, it's hard to make up my mind sometimes.
- corrected some minor mistake with a couple monster AI.
- The usual dialog and song touch ups. 

v1.4.2

- fixed a possible freeze in the WoR Auction House.
- fixed a disfunctional half damage from back row code.
- fixed an issue with a wrong graphic NPC in Jericho during after a certain scene.
- fixed an issue with the Metal Gear enemy in Glow City. (couldn't run away)
- fixed Aurora, Tifa, & Eiko's natural magic learning via level-up back to working.
- fixed a spelling issue with the monster spell: Animate Dead.
- fixed up an inconsistency with the sleeping soldier when rescuing Tifa.
- fixed up many formation moulds that looked glitchy on accurate emulators - I had     to remove the bat monster from the Guard Leader battle, and a couple other           monsters here and there in order to not cause a bad glitchy mould.
- black Orchid Corporation is now just Black Orchid Empire, no more 'Corporation'.
- brought back 2 pieces of equipment that were unintentionally removed.
- touched up Piranha Plant Lullaby song. (Arc's Theme, some notes were too short)
- touched up Airships song and WoB overworld song bassline. (thanks be to Jackimus!)
- changed up a few Colosseum bets/prizes.
- switched up a few more monsters sprites.
- Ultros's HP does not refresh anymore for the Opera House battle.
- Ultros no longer has soma drops to steal from the Opera House battle.
- put back random encounters (with unique monster) in WoR Figaro Castle Engine Room.
- swapped out the Float status Relic Reaper comes with so his class name will show.
- renamed the Reflect??? Lore to Anti-Reflect.
- made easier a bit the monsters in the Odin flashback event.
- Golbez can no longer leave with an esper at the end of the Floating Continent.
- gave final boss Zuriel a slight buff to his stats.
- fixed an issue with Golbez's spells not being learned in the WoR.

v1.4.1

- fixes some horrible issues that were present in the 1.4 release.

v1.4

- new splash screen. (thanks to James White)
- many new monster sprites and touch ups. (credit to James White)
- fixed up all the songs to work correctly for all emulators.
- fixed some overworld tiles that allowed chocobo riding to move past but the character could not, resulting in becoming stuck forever if jumped off.
- fixed some veldt overworld tiles as well that were not the correct ones.
- fixed a couple issues in the returners hideout.
- fixed a mistake with an NPC event in WoB Jericho.
- fixed a possible issue of receiving two Midgar Zolom magicites.
- fixed a bad entrance event to the 'secret shop' map in the wor esper town.
- fixed a freeze in Cloud's scenario when talking to a soldier.
- fixed a freeze at the ending.
- fixed a mistake of a Quicksilver item coming with Oboro at the Imperial Camp.
- fixed a bad teleport issue from the cave south of the Beast Plains.
- fixed an event trigger freeze for the Shenron castle balcony.
- fixed an issue in Wor Fraust with the merchants being there, and having a bugged shop.
- fixed some bullshit from happening in the burning house with Oboro.
- fixed an issue with a flame NPC coming back in Jericho.
- fixed the Lightsaber back to working right.
- fixed an issue of 2 spears that had ??? as the battle power.
- fixed an issue of the game re-arranging the party members wrong in the Imperial Camp.
- fixed an issue of Pepe disappearing from the airship.
- fixed an exploit of getting to the Sealed Gate without Aurora. 
- fixed some possibilities of lightning strikes happening outside of Psycho City.
- fixed the Gamma Sword randomly appearing in inventory.
- fixed Eiko's natural magic back to working.
- fixed a layering issue of character showing over tile on some select maps.
- fixed wrong price for PHS switch party event.
- fixed issue with oboro jumping out of the minecart even if he wasn't in the current party, if hired.
- fixed the issue of a weird screen scrolling if talking to the kid sliding down the banister.
- few more original bugs fixed (credit to 13375K31C43R)
- made party's gear get removed at the end of their scenarios.
- made it so you can't keep Golbez's equipment if you remove it on the Floating Continent.
- removed Painful Chainsaw patch due to imbalance.
- removed 'uses MP for mortal blow' from three weapons.
- chance of dog block counter attack reduced from 50% to 25%. (credit to Madsiur)
- made it so you have to talk to a certain npc in order to trigger the underwater breathing helmet to be found.
- made the Aether 'Flare Blade' fire elemental. Now called Nanoflare.
- many songs touched up, some changed.
- new songs by Jackimus (credit to Jackimus)
- changed the "Unicorn Horn" Relic to "Thief Gloves" Relic for Oboro that he comes with. It changes the 3rd command slot (Magic) to "Steal" which has a higher successful stealing % rate than the Thief Knife.
- raised the successful steal % from high level monsters by 25%
- brought back a monster that was accidently removed from the game.
- corrected an issue with some thrown and jump weapon graphics being incorrect.
- corrected a palette issue with thrown anchor weapon graphic.
- re-worked the WoR Auction House prizes.
- added an alternative method of defeating the Dirt Dragon.
- item command removed from flashback battles (credit to Madsiur & HatZen)
- new song played for WoR Veldt. (credit to Madsiur & HatZen)
- some changed WoB tileset graphics (credit to James White).
- smaller battle numerals font (credit to giangurgolo).
- made the 'exit out of menu' sound to be a soft shifting sound instead.
- fixed an issue with character sprites not changing (Morph, Imp, Vanish, etc.) in a couple formations.
- increased the time it takes for Otis's Cannon attack to initiate.
- more work on balance.
- more work on various battle scripts.
- lots of work on dialog.

v1.3
 
- fixed the issue with using the Guest Adder items and Golbez's spells becoming jacked up. (thanks to both GrayShadows and Hatzen for helping me out with this.)
- fixed an issue with Golbez forgetting the Inferno spell and then trying to relearn it afterwords.
- new songs: (credit to Jackimus for both making and hacking them in. See readme for which songs.)
- many song touch ups.
- lots of dialog changes and clean-up.
- lots of balancing.
- changed the name of Magitek Skill 'Spirit Force' to 'Life Force' to try and avoid confusion of what the skill does for new players.
- removed ability of Staryus to revive in the Pokemon falls battle.
- made it so after battle you need to press 'A' on the exp. and gil messages, just because they often sped by and that can be annoying.
- made it so it says "Fusoya (or whatever you named him) learned X Lore", instead of just "Learned X Lore", and edited other similar battle window text stuff.
- Crusader Summon (now Black Waltz) no longer hits the party - raised MP cost to 240.
- made it so Tifa's Reels can no longer random summon Crusader (now Black Waltz) until the party has gotten the magicite super far into the game. Also removed Bahamut as a possible random summon, since Bahamut is the special attack for when the 3 dragon reels line up. (credit to GrayShadows.)
- removed the Magic Block shield animation that some of the later shields had to prevent a multitude of original in-battle bugs that would result in a character moving all glitchy forward or back many rows and/or blocking twice with a shield. Sorry, no more multi-colored magic-blocking shields until this gets fixed someday.
- replaced the Lich Ring for a Spirit Charm on Reaper.
- replaced crane boss with something new (credit to Lord Envoy for the battle script).
- fixed an issue with Guest Adder characters being replaced by re-recruited characters in battle, and appearing as objects in an event if in the current party in a couple possible instances.
- fixed an inconsistancy of Necronomicon item being seemingly usable out of battle (not greyed out).
- fixed a bad death routine branch in the Dream Shrine.
- fixed a bug with monsters stealing Gil from characters.
- fixed a small issue of Arc not getting kicked from the party selection screen when taking off for the Floating Continent if he is in the current party - only Fusoya should be chosen for you.
- increased base stats for characters that are recruited mid-late game.
- re-worked some of the Heartless' possible equipment.
- Meteo moved up with the rest of the attack spells in list.
- removed starting credits from the mode 7 magitek walking snow scene just because.
- put a Neko merchant in front of Ronan's house for Cloud's scenario. Also in Narsh up until the big battle.
- all new portraits. (credit to James White.)
- a new cast of espers/esper sprites and a new final boss sprite. And some new NPC sprite sheets. (credit to James White.)
- lots and lots of new map tileset object graphics (credit to James White.)
- fixed an issue with the timer in the save the child in house event in WoR.
- swapped around a couple esper's spells.
- some more event edits.
- fixed an issue of Throw having magic casting pose if Force was used before it.
- fixed an issue of Oboro not doing any actions if brought to the Sealed Gate battle event.
- new sprites for KlaTu and Master Tau (who is now Master Oyama). (credit to SSJ Rick for the KlaTu sprite and James White for the Oyama.
- gave Mt. Zozo and Zozo a better palette.
- lowered Throw's incremental damage % some.
- lowered Havoc hit % a bit.
- replaced Pancakes item with Frenzy Band relic.
- removed random battles from a couple of places in Avalon's dream event.
- fixed an issue with learned Lores being zeroed out on a new game + (credit to Madsiur)
- Shadow the Heartless can now equip espers.
- swapped Meteo and Ultima on the espers that teach it.
- Lucky Bunny Reel takes off Seizure now.
- re-put Neko back to Orphanage map after Imperial Camp event.
- New Game + that comes after beating the game will come with a Jade Skull relic (prevents random encounters).
- Oboro can target other characters with his beneficial scrolls.
- more original bugs fixed thanks to a slew of new patches from 13375K31C43R.
- Arc's Locket relic can now be used by all.
- fixed a possible freeze during the final battle.
- gave Oboro Magic back and removed steal command. The Thief Knife and now also Enforcer are now the only way to steal.
- gave Otis Magic back. Cannon can now be found on a Relic, replaces Jump.
- nerfed the final tower bosses and final boss.
- removed the ignore defence attribute from weapons that increase in power at low HP to hopefully make it not so powerful.
- took away Engulf from Majin Buu boss due to it being an instant loss when faced at Colosseum.

v1.2
- made it so Guest Adder guests can fight in the final battle.
- changed the formula for stamina related damage/healing to:
power = max hp * 32 / 1024 to help out the stamina stat.
- added a timer reset function for poison damage tics.
- altered the Actors HP & MP evolution growth to lower values at higher levels to promote importance for HP & MP increasing equipment and items still at high levels.
- fixed a issue with Spirit (Rage) for Reaper having the monster weapon sticking. (thanks & credit to Synchysi.)
- changed Pep up so it leaves you with 1 HP instead of dead. (thanks & credit to Synchysi.)
- made Magitek skill Revitalize get rid of seizure status.
- fixed an issue with a monster in the Final Dungeon.
- balanced some bosses a bit more. Most notably Tritoch at the start, due to the poison reset function being added. Final Bosses a bit as well.
- increased most monsters Gil drop by 25%
- fixed a possible nibble issue after dying in Dream Shrine medly.
- took out a couple problematic monsters from possible colosseum opponents.
- balanced the colosseum prize chains.
- fixed an issue with Shadow Flare bugging out like crazy on monster formations of 5.
- Aeon Crystal now protects against Seizure status.
- put a bunch more songs in, many of them created and hacked in via mml by Jackimus. (thanks & credit to Jackimus.)
- touched up various song volume levels.
- touched up the spider boss sprite a bit.
- changed a few spell costs.
- edited Meteo spell to attack 4 times.
- fixed an issue of some shared treasure bits.
- changed the Fire Dragon battle so it doesn't have to be survival only.
- lowered Avalon's Havoc hit % from 150 to 128.
- lowered price of Neko merchant in Ronan's scenario and the colosseum.
- fixed a ton of formations where the monsters would be off the screen, usually in pincer attacks.
- new Tifa sprite. (thanks & credit to SSJ Rick and Astaroth.)
- updated Tifa portrait to match sprite more. (thanks & credit to Sutebenu.)
- made it impossible to warp away from some key event battles. (thanks & credit to Madsiur.)
- changed 3 of Cloud's Limit Break animations to feature the Buster Sword.
- changed the Auction House to a church, that is more or less still an auction house lol.
- gave Pepe a shop for the WoR that sells most of the Aethers (in case player missed, or sold) and also Dragon Balls (moved from Jericho).
- small event changes, dialog edits, bug fixes.

v1.1
- fixed a bug with massive gil drops with Reaper in the party.
- corrected a song issue with getting Mog in the WoR if you didn't get him in the WoB.
- changed the Lava Demon to 2 battles instead of 3.
- removed game over from battles in flashback.
- fixed a glitch of an invisable Oak in his house if you bring him to the airship.
- fixes an issue with dual weapon wielders in the equip screen (thanks & credit to Synchysi)
- some minor nerfs to some bosses.
- fixed birdo egg (experience egg) from being found twice issue in Daryl's Tomb.
- fixed another issue with Genji Glove. (thanks & credit to Synchysi)
- fixed a dialog repeating issue for Oboro on Floating Continent if you return to the airship.
- fixed an invisable sprite still on the map issue in Tzen.
- lowered MP cost of Holy spell.
- gave Guest Adder Astral a different Relic.